/*
 * $Id: ChangeLog.012,v 1.1 2003/12/19 01:12:06 druzus Exp $
 */

/* Use this format for the entry headers:
   YYYY-MM-DD HH:MM UTC[-|+]hhmm Your Full Name <your_email@address>
   For example:
   2002-12-01 23:12 UTC+0100 Foo Bar <foo.bar@foobar.org>
*/
2001-12-20 15:40 UTC-0500 David G. Holm <dholm@jsd-llc.com>
  * include/hbdefs.h
    ! RSXNT doesn't support any type of inline export declaration.

2001-12-20 13:14 UTC+0000 Dave Pearson <davep@davep.org>
   * include/hbdefs.h
     * Added "&& defined( HB_OS_WIN_32 )" to the #elif that tests for
       __GNUC__ when deciding how to #define HB_EXPORT.
	
2001-12-20 13:53 UTC+0100 Antonio Linares <alinares@fivetech.com>
   * include/hbdefs.h
     * HB_EXPORT definition for Borland C

2001-12-20 20:00 UTC+0700 Andi Jahja <harbour@cbn.net.id>
   * source/compiler/genc.c
     ! add comments for easy reference in case this function needs
       to be revised.

2001-12-20 12:00 UTC+0100 Antonio Linares <alinares@fivetech.com>
   * include/hbvm.h
     * hb_vmInit(), hb_vmQuit(), hb_vmProcessSymbols(), hb_vmExecute()
       declared as HB_EXPORT

   * include/hbvmpub.h
     * hb_vmProcessSymbols(), hb_vmExecute() declared as HB_EXPORT

   * source/vm/hvm.c
     * hb_vmInit(), hb_vmQuit(), hb_vmProcessSymbols(), hb_vmExecute()
       declared as HB_EXPORT
     - hb_vmDllExecute() removed as hb_vmExecute() is HB_EXPORT

   * source/vm/maindllp.c
     * hb_vmExecute() used instead hb_vmDllExecute()

2001-12-20 11:35 UTC+0100 Antonio Linares <alinares@fivetech.com>
   * source/vm/maindll.c
   * source/vm/maindllh.c
   * source/vm/maindllp.c
     * HB_EXPORT used

   * include/hbapi.h
   * source/vm/cmdarg.c
     * hb_cmdargInit() declared as HB_EXPORT


2001-12-20 11:20 UTC+0100 Antonio Linares <alinares@fivetech.com>
   * include/hbdefs.h
     + HB_EXPORT definition added. All public functions are HB_EXPORT now

2001-12-20 09:43 UTC+0000 Dave Pearson <davep@davep.org>
   * doc/howtocvs.txt
     + Updated the footnote about the files which are an exception to the
       "everything lowercase please" rule. Added COPYING, ERRATA and TODO.

2001-12-20 09:36 UTC+0000 Dave Pearson <davep@davep.org>
   + ERRATA
     + Added the ERRATA list.

2001-12-19 20:00 UTC+0700 Andi Jahja <harbour@cbn.net.id>
   * source/compiler/genc.c
     ! Change C Outputs so one can freely export the public function
       without interferring the above three kind of functions.
       static function ( funcname ) => HB_FUNC_STATIC( funcname )
       init procedure funcname      => HB_FUNC_INIT( funcname )
       exit procedure funcname      => HB_FUNC_EXIT( funcname )
   * include/hbdefs.h
     + definition of HB_FUNC_STATIC()
     + definition of HB_FUNC_INIT()
     + definition of HB_FUNC_EXIT()

2001-12-19 15:18 UTC+0300 Alexander Kresin <alex@belacy.belgorod.su>
   * tests/db_brows.prg
     Few warnings fixed

2001-12-18 21:47 UTC+0100 Viktor Szakats <viktor.szakats@syenar.hu>

   * include/hbapi.h
   * include/hbsetup.ch
   + include/hbcommon.ch
   * include/Makefile
     + Added HB_FILE_VER( id ) for Harbour and C
       sources. Note that in order to work in
       .prg files, HB_FILE_VER() should come after
       the #includes and the file should #include "hbcommon.ch"
       which will automatically include "hbsetup.ch" too.
     + Added HB_FILE_VER_STATIC define which will
       enable the inclusion of HB_FILE_VER info.

   * source/common/hbffind.c
   * source/rtl/dbdelim.prg
   * source/rtl/dbsdf.prg
     + Added experimental HB_FILE_VER() lines.

   * doc/genhtm.rsp
   + doc/en/dbdelim.txt
   + doc/en/dbsdf.txt
     % Some small optimization for speed.
     * Separated documentation from the source.

2001-12-18 20:15 UTC+0300 Alexander Kresin <alex@belacy.belgorod.su>
   * tests/db_brows.prg
     Some changes to eliminate using of functions from libmisc.

2001-12-18 19:00 UTC+0700 Andi Jahja <harbour@cbn.net.id>
   Revision by Ron Pinkas <Ron@Profit-Master.com>
   * source/vm/hvm.c
     Replaced the call to hb_gcCollectAll() in hvm.c line 389 with new
     hb_gcReleaseAll() will increase cleanup speed (on app termination),
     and will result in a more complete cleanup in certain situations.

2001-12-18 10:03 UTC+0100 Viktor Szakats <viktor.szakats@syenar.hu>

   * source/common/hbffind.c
     ! Some fix (MSVC).

2001-12-18 07:44 UTC+0000 Dave Pearson <davep@davep.org>
  * doc/howtocvs.txt
    * Updated the pointer to details about harbour's mailing lists.

2001-12-18 07:21 UTC+0100 JFL (Mafact) <jfl@mafact.com>
  * source/vm/garbage.c
    ! RON Further Fix for forever loop when GC try to free first item in the
      arrayclone cloned list.
    + RON Added hb_gcReleaseAll()
      it will increase cleanup speed (on app termination), and will
      result in a more complete cleanup in certain situations
   * include/hbapi.h
     + RON Added hb_gcReleaseAll()

2001-12-18 06:44 UTC+0100 Antonio Linares <alinares@fivetech.com>
   * source/vm/maindll.c
   * source/vm/maindllh.c
     changed the definition of those files

2001-12-18 06:36 UTC+0100 Antonio Linares <alinares@fivetech.com>
   + source/vm/maindllh.c
     Windows Harbour DLL entry point

2001-12-18 01:03 UTC+0100 Viktor Szakats <viktor.szakats@syenar.hu>

   * source/common/hbffind.c
   * include/hbapifs.h
     ! Some fixes (MSVC, Win32, misc).

   * source/rtl/Makefile
     ! Fixed indentation in Makefile.

   * source/compiler/gencobj.c
     ! Fix provided by Jose Lalin
       bDelTemp was initialized to TRUE by default and this was
       causing that MAKE utilities rebuilds all the files in a
       project since the intermediate C file was deleted.

   * source/rtl/gt_tpl/gt_tpl.c
     ! Minor change.

2001-12-17 17:02 UTC+0100 Viktor Szakats <viktor.szakats@syenar.hu>

   * source/rtl/tbrowse.prg
     ! Fix added again for displaying logical field in a
       100% CA-Cl*pper compatible way.

   * source/rtl/tget.prg
     ! Fixes by Walter Negro (GET single color colorspec and
       picture modifying on-the-fly)

   * source/common/hbffind.c
   * include/hbapifs.h
     ! DJGPP warning fixed.
     ! Fixed for Linux by Luiz
     ! AttrFromHarbour() fix for Unix
     + Added some new helper funcions.
       hb_fsAttrDecode( USHORT uiAttr, char * szAttr )
       hb_fsAttrEncode( char * szAttr )
     * Some type cleanups around the attribs.

   * source/vm/estack.c
     ! Small corrections to the #ifdefs.

2001-12-17 14:57 UTC+0100 Viktor Szakats <viktor.szakats@syenar.hu>

   * include/hbver.h
   * source/common/hbver.c
   * source/compiler/genc.c
   * source/compiler/genjava.c
   * source/compiler/genobj32.c
   * source/compiler/hbusage.c
   * utils/hbpp/hbpp.c
     - Build number removed, since it was the same as the
       version number, and it doesn stands for something
       which doesn't have too much meaning in an open-source
       project anyway.
     - Removed the date/month/day of the version number,
       since it was only yet another version-number duplicate.
     + Added #defines for last ChangeLog entry, ChangeLog CVS
       version string, optional C, PRG and linker option.
       As of now these should be manually edited whenever
       doing a build, but the goal is make this step completely
       automated.
       One can retrieve these new version details by running
       Harbour compiler with the -build switch, or any
       Harbour applications by running it with //BUILD switch.
       Optional switches are only displayed when not empty.
     + -build and -credits undocumented options now put into
       the command-line help screen.

2001-12-17 14:13 UTC+0100 Maurilio Longo <maurilio.longo@libero.it>
   * source/rtl/tbrowse.prg
     * ::DispCell() a little change on Logical values display

2001-12-17 13:02 UTC+0100 Viktor Szakats <viktor.szakats@syenar.hu>

   * makefile.vc
   * makefile.bc
   * source/common/Makefile
   * include/hbapifs.h
   + source/common/hbffind.c
     + Harbour File Find API added.
       hb_fsFindFirst()
       hb_fsFindNext()
       hb_fsFindClose()
       Note that currently only Win32 and DOS/DJGPP has been
       tested, all the other platform will require some more
       work. Also note that the attribute mask filtering may
       need more work and tweaking.
     + New generic file attributes added, they are named
       HB_FA_*, they are almost the same as the FA_ ones in
       dir.c, just a bit more Clipper like.

2001-12-17 12:33 UTC+0100 Viktor Szakats <viktor.szakats@syenar.hu>

   * Makefile
   * tests/Makefile
     - Inclusion of contrib in the core Harbour removed,
       because this made it impossible to build Harbour on some
       platforms (Linux).

2001-12-17 10:31 UTC+0100 Viktor Szakats <viktor.szakats@syenar.hu>

   * source/rtl/gtapi.c
     ! Modified hb_gtSetCursor() to allow cursor setting when
       the cursor position is off by one from the screen.
       This fixes the disappearing cursor in TBROWSE()
       Since I don't know why the bounds checking is there,
       I can't tell if this is the correct fix. If you have
       some idea, please tell.

   * TODO
     + Added a few things.

2001-12-17 07:20 UTC+0100 JFL (Mafact) <jfl@mafact.com>

  * source/vm/garbage.c
    ! RON Fix for forever loop when GC try to free first item in the
      arrayclone cloned list.

2001-12-16 21:28 UTC+0100 Viktor Szakats <viktor.szakats@syenar.hu>

   * source/rtl/tbrowse.prg
     ! Fixed cursor positioning when Autolite == .F.

2001-12-16 14:53 UTC+0100 Viktor Szakats <viktor.szakats@syenar.hu>

   * source/rtl/tbrowse.prg
     ! DispCell() - Fixed displaying of logical fields.

   * source/vm/estack.c
     + Added language markers HB_I_()

2001-12-16 14:20 UTC+0200 Chen Kedem <niki@actcom.co.il>

   * doc/en/lang.txt
     * HB_LANGSELECT() - Sort table according to language
     + HB_LANGSELECT() - Add missing languages: CSWIN, EO, HR852, HRISO
     ! Wrong comment Romanian --> Spanish

   * doc/en/var.txt
     * __ISMV() renamed to __MVEXIST()
       (to reflect ChangeLog 2001-12-15 23:05 UTC+0100 Viktor Szakats)

   * source/lang/msghewin.c
     * Comment changed: Code Page 1255 is now Windows-1255

   * source/lang/msgko.c
     ! Comment changed: KR --> KO

2001-12-16 12:07 UTC+0100 Viktor Szakats <viktor.szakats@syenar.hu>

   * source/common/hbgete.c
   * source/common/hbtrace.c
   * source/compiler/cmdcheck.c
   * source/compiler/gencobj.c
   * source/rtl/gete.c
   * source/rtl/gtcrs/gtcrs.c
   * source/rtl/gtcrs/kbdcrs.c
   * source/rtl/gtsln/gtsln.c
   * source/rtl/gtsln/kbsln.c
   * source/vm/cmdarg.c
   * source/vm/hvm.c
     * hb_getenv() now may return a NULL if the env.var
       getting process failed for some reason.
     ! Reviewed, cleaned up and fixed all the hb_getenv()
       calls, considering that it now may return NULL, all
       caller now consistently check for env[ 0 ] != '\0'
     ! Fixed one leak in gtcrs.c

     ; I'd ask everybody to test the new code, with special
       attention to the CLIPPER/HARBOUR/CLIPPERCMD/HARBOURCMD,
       Linux environment variables, HB_TRACE_* variables.

2001-12-15 23:13 UTC+0100 Viktor Szakats <viktor.szakats@syenar.hu>

   * source/debug/dbgwa.prg
     ! Missing CVS header.

   * TODO
     + Added some new items.

   * include/Makefile
   * include/hbexprb.c
   * include/hbexprc.c
   * include/hbmacro.h
   + include/hbmacro.ch
   - include/hbmsetup.h
   * include/set.ch
   * source/compiler/genc.c
   * source/vm/hvm.c
     * hbmsetup.h renamed to hbmacro.ch
     ! Fixed the inclusion of .h files from .ch files.
     + Added CVS header, copyright header, other stuff.
     % Removed some unneeded #includes.

   * include/hbgetcmt.ch
   * include/ord.ch
   * source/rtl/radiogrp.prg
     * Small corrections.

2001-12-15 23:05 UTC+0100 Viktor Szakats <viktor.szakats@syenar.hu>

   * source/rtl/memvars.c
   * source/rtl/tgetint.prg
   * include/hbextern.ch
     * __ISMV() renamed to __MVEXIST()
     + __MVEXIST() added to hbextern.ch

2001-12-16 02:15 UTC+0700 Andi Jahja <harbour@cbn.net.id>

   Revision by Ron Pinkas <Ron@Profit-Master.com>
   * source/compiler/harbour.sly
   * source/vm/mamvars.c
     ! __ISMV() in memvars was incorrectly returning TRUE for
       *any* dynamic symbol, instead of only MEMVARs.

2001-12-15 16:04 UTC+0100 Viktor Szakats <viktor.szakats@syenar.hu>

   * source/common/hbver.c
     ! Displays Windows XP properly
     ! Displays Windows ME properly (well, hopefully because I
       couldn't test this, if anyone has ME, please test it.)

2001-12-15 15:53 UTC+0100 Viktor Szakats <viktor.szakats@syenar.hu>

   * source/rdd/dbfcdx/dbfcdx1.c
   * source/rdd/dbfcdx/dbfcdx1.h
   * source/rdd/dbfcdx/dbfcdx2.h
     * Some formatting.

   * TODO
     + Readded one item.

2001-12-15 14:43 UTC+0100 Viktor Szakats <viktor.szakats@syenar.hu>

   * TODO
     - Some more updates.

2001-12-15 14:08 UTC+0100 Viktor Szakats <viktor.szakats@syenar.hu>

   * source/rtl/filesys.c
      ! Fixed missing #define for Cygwin (for setmode() prototype)

2001-12-15 13:58 UTC+0100 Viktor Szakats <viktor.szakats@syenar.hu>

   * source/rtl/dir.c
     ! Fix for BCC by Luiz.

2001-12-15 13:43 UTC+0100 Viktor Szakats <viktor.szakats@syenar.hu>

   * contrib/libct/Makefile
     ! Fixed tabs, EOF

   * contrib/libgt/Makefile
     ! Fixed LIBNAME

   * source/vm/classes.c
     ! missing "static" keyword

2001-12-15 12:32 UTC+0100 Viktor Szakats <viktor.szakats@syenar.hu>

   * TODO
     * Updated

   * source/rtl/dummy.prg
     - Removed commented line.

2001-12-15 12:24 UTC+0100 Viktor Szakats <viktor.szakats@syenar.hu>

   * include/hbver.h
     + Jumped the version number and date.

   * doc/whatsnew.doc
     + Added new version (no items yet)

   * source/vm/dynlibhb.c
     ! Fixed for non Win32 platform to return
       compatible values.

   * doc/howtomak.txt
     - Removed TASM as a requirement.

2001-12-15 12:11 UTC+0100 Viktor Szakats <viktor.szakats@syenar.hu>

   * include/hbinkey.ch
   * source/compiler/cmdcheck.c
   * source/compiler/harbour.c
   * source/compiler/hbpcode.c
     (I couldn't complete this one, since it's far too messy)
   * source/debug/dbgtmenu.prg
   * source/debug/dbgtmitm.prg
   * source/debug/dbgtobj.prg
   * source/debug/dbgtwin.prg
   * source/debug/dbgwa.prg
   * source/debug/debugger.prg
   * source/rtl/perfuncs.prg
   * source/rtl/persist.prg
   * source/rtl/profiler.prg
   * source/rtl/gtsln/gtsln.c
   * source/rtl/gtstd/gtstd.c
     ! Basic cleanups "s_" prefix, tabs, = -> :=

2001-12-15 11:37 UTC+0100 Viktor Szakats <viktor.szakats@syenar.hu>

   * source/rtl/isprint.c
     ! Fixed DJGPP warning for DOS branch.

   * source/rtl/fstemp.c
     ! One unused #include added. Well, it was used.

2001-12-15 10:53 UTC+0100 Viktor Szakats <viktor.szakats@syenar.hu>

   * source/rtl/tbcolumn.prg
     ! Fixed case when heading parameter was NIL
       in TBColumnNew() or TBColumn():New()

   * source/rtl/fstemp.c
     - One unused #include removed.

2001-12-15 10:05 UTC+0100 Antonio Linares <alinares@fivetech.com>
   + source/vm/dynlibhb.c
     + HB_LIBLOAD()
     + HB_LIBFREE()
     + HB_LIBDO()
     Dynamic link libraries management functions

   * source/vm/eval.c
     - HB_DLLDO()
     Removed and included in dynlibhb.c as HB_LIBDO()

   * makefile.bc
     + added dynlibhb.c module

2001-12-14 10:17 UTC+0100 Viktor Szakats <viktor.szakats@syenar.hu>

   * include/hbapifs.h
   * source/common/hbfhnd.c
   * source/common/hbfsapi.c
   * source/rtl/spfiles.c
   * include/hbset.h
   * include/hbcomp.h
   * include/hbpp.h
   * source/compiler/harbour.c
   * source/compiler/harbour.y
   * source/compiler/harbour.sly
   * source/rtl/set.c
   * source/pp/pplib.c
   * source/pp/ppcore.c
   * utils/hbpp/hbpp.c
   * source/vm/hvm.c
   * source/vm/classes.c
     * Some cleanups.
     * PATHNAMES -> HB_PATHNAMES
     ! Removed some warnings.

   * include/Makefile
   * include/hbapi.h
   + include/hblang.ch
     + Added HB_I_() define for translatable strings.
       In Harbour sources which contains translatable
       strings #include "hblang.ch" must be added.

2001-12-13 16:40 UTC+0100 Antonio Linares <alinares@fivetech.com>
   * source/vm/eval.c
     + New function HB_DLLDO() added
       Executes a Harbour pcode dynamically loaded DLL function or procedure
       Syntax: HB_DllDo( <cFuncName> [,<params...>] ) --> [<uResult>]

2001-12-13 15:09 UTC+0100 Maurilio Longo <maurilio.longo@libero.it>
   * include/hbexprb.c
     + changed lastest version with the one posted by Ron

2001-12-13 03:50 UTC+0100 Antonio Linares <alinares@fivetech.com>
   * source/vm/maindllp.c
     * First VM/RTL functions added

   * source/vm/hvm.c
     * hvm support for pcode DLLs

2001-12-12 18:49 UTC+0100 Antonio Linares <alinares@fivetech.com>
   + source/vm/maindllp.c
     * Windows pcode DLL entry point and VM/RTL routing functions

2001-12-12 15:09 UTC+0100 Antonio Linares <alinares@fivetech.com>
   * source/common/hbfsapi.c
   * source/common/hbfhnd.c
     * some minor changes

2001-12-11 23:40 UTC+0100 JFL (Mafact) <jfl@mafact.com>
  * makefile.vc  added missing hbgete.c to LIB
  * source/pp/ppcore.c
    * Modif to Workmarkers() so as expression like  test{,,3} are correctly
      (x)translated to test():new(,,3) as clipper does.

2001-12-11 19:20 UTC-0300 Luiz Rafael Culik <culik@sl.conex.net>
  * contrib/hbzlib/zipnew.cpp
    contrib/hbzlib/zipcomp.cpp
    * Fixed some unreleased block reported by Sid Saylors
  + contrib/hbzlib/strcomp.c
    * CompressString() and UncompressString Functions
  * contrib/hbzlib/doc/zipnew.txt
    * Added the docs for the two new functions
  * utils/hbmake/hbmake.prg
    % Some cleanup
    * Common items moved to functions
    + WriteMakeFileHeader(),ProcessParameters(),ShowHelp(),ConvertParams(cParam) functions for
      task that was double coded for some parts
    * The Main Functions is now cleaner
    * Fixed the problem on checkbox that the user down know on witch one he is

2001-12-11 18:57 UTC+0100 Viktor Szakats <viktor.szakats@syenar.hu>
   * source/common/hbgete.c
     % Made it more fail-safe and compact.

2001-12-11 15:09 UTC+0100 Maurilio Longo <maurilio.longo@libero.it>
   * source/common/hbgete.c
     ! fixed problems with memory allocation for OS/2 end general case, please look at Win32 code
       section

2001-12-11 14:30 UTC+0100 Maurilio Longo <maurilio.longo@libero.it>
   * source/common/Makefile
     + added hbgete.c entry
   * source/common/hbgete.c
     + added OS/2 specific code

2001-12-11 00:02 UTC+0100 Viktor Szakats <viktor.szakats@syenar.hu>

   + ChangeLog
     + Added CVS ID
     + Added comment about the standard entry header.

   - source/vm/borinit.c
   - source/vm/borsym.asm
   - source/vm/startup.asm
   - source/vm/symbols.asm
   * source/vm/hvm.c
   * makefile.bc
   * makefile.vc
     ! Removed assembler parts. TASM is no longer required to
       build Harbour.

   - source/common/hash.c
   + source/common/hbhash.c
   * source/common/Makefile
   * makefile.vc
   * makefile.bc
     * File hash.c renamed to hbhash.c.

   + source/common/hbfhnd.c
   * source/common/hbfsapi.c
   * source/common/Makefile
   * makefile.vc
   * makefile.bc
     ! File handle tweaking functions moved to a separate
       source file.

   * source/common/hbgete.c
     * Some tweaks.

   * source/vm/hvm.c
     - Removed some line not needed anymore, related to
       Windows exception handler.

   * source/vm/estack.c
     - Removed a faulty #define.

   * makefile.bc
   * makefile.vc
     + Added note to not modify these files to add
       optional command line switches.

   * makefile.bc
     - Removed explicit debug switches from on PDF
       related file and from the 16 bit branch.

2001-12-10 19:55 GMT+1 Antonio Linares <alinares@fivetech.com>
   * harbour/source/common/hbgete.c
     * some fixes

2001-12-10 17:43 GMT+1 Antonio Linares <alinares@fivetech.com>
   * harbour/source/vm/maindll.c
     * some enhancements

2001-12-10 12:00 GMT+1 Antonio Linares <alinares@fivetech.com>
   * harbour/makefile.bc
     * removed -v -y flags, letf there by mistake

   * harbour/source/common/hbgete.c
     * type cast required

2001-12-09 21:06 GMT+1 Antonio Linares <alinares@fivetech.com>
   * harbour/source/vm/maindll.c
     * HBENTRY() generic DLLs entry point implemented

2001-12-09 20:11 GMT+1 Antonio Linares <alinares@fivetech.com>
   * harbour/source/common/hbtrace.c
   * harbour/source/compiler/cmdcheck.c
   * harbour/source/compiler/gencobj.c
   * harbour/source/rtl/gete.c
   * harbour/source/rtl/gtcrs/gtcrs.c
   * harbour/source/rtl/gtcrs/kbdcrs.c
   * harbour/source/rtl/gtsln/gtsln.c
   * harbour/source/rtl/gtsln/kbsln.c
   * harbour/source/vm/cmdarg.c
     ! hb_getenv() used instead of getenv()

2001-12-09 19:46 GMT+1 Antonio Linares <alinares@fivetech.com>
   * source/vm/hvm.c
     * A minor fix required for Harbour DLLs

2001-12-09 19:31 GMT+1 Antonio Linares <alinares@fivetech.com>
   * makefile.bc
     + added hbgete.c file

2001-12-09 19:18 GMT+1 Antonio Linares <alinares@fivetech.com>
   + source/common/hbgete.c
     * environment variables access

   * include/hbapi.h
     * Added hb_getenv() definition

2001-12-09 14:50 GMT+1 JFL (mafact) <jfl@mafact.com>
   * harbour/makefile.vc
e.vc
     * Checked and corrected when used for SIMPLEX compilation

2001-12-09 12:30 GMT+1 JFL (mafact) <jfl@mafact.com>
   * harbour/source/rtl/checkbox.prg
     * Small typo corrected where nR became nT

001-12-08 22:10 GMT-3 Luiz Rafael Culik <culik@sl.conex.net>
  * source/rtl/checkbox.prg
    * Readded checkbox() function. (I've forget to redefine in previus commit

2001-12-08 06:15 GMT+0700 Andi Jahja <harbour@cbn.net.id>
   * makefile.bc
     - removed borinit.obj dependency
     - removed symbols.obj dependency
     - removed borsym.obj dependency
     - remed startup.obj
     Notes: Have made quite a number of tests and it seems that these
            modules are not needed.

   * makefile.vc
     - removed symbols.obj dependency
     Notes: Have made quite a number of tests and it seems that this
            module is not needed.

   * contrib/libct/files.c
     ! dir.h not used when _MSC_VER ( MsVC has no dir.h )

2001-12-08 16:20 GMT-3 Luiz Rafael Culik <culik@sl.conex.net>
  * source/rtl/checkbox.prg
    * fixed an smallbug on isdefcolor() function
  * source/rtl/radiobtn.prg
    source/rtl/radiogrp.prg
    * minor fixes
  * contrib/libct/files.c
    * Added code to support unix for the follow functions:FileSize(),FileDate(),FileTime()

2001-12-08 08:40 GMT-3 Luiz Rafael Culik <culik@sl.conex.net>
  * source/rtl/checkbox.prg
    * fixed an smallbug on __guicolor() function
  * source/rtl/listbox.prg
    * fixed an smallbug the class constructor

2001-12-07 22:20 GMT+3 Alexander Kresin <alex@belacy.belgorod.su>
  * source/rdd/dbfntx/dbfntx1.c
    * Added support for Deleted() function in index adn condition expressions

2001-12-06 22:40 GMT-3 Luiz Rafael Culik <culik@sl.conex.net>
   * utils/hbmake/hbmake.prg
     ! fixed an small bug when using multiple -D switch
   * doc/hbmake.txt
     * updated the file
   * contrib/hbzlib/zipnew.cpp
     contrib/hbzlib/zipcomp.cpp
     * Fixed an bug reported by Sid Saylors.

2001-12-06 23:30 GTM+1 Antonio Linares <alinares@fivetech.com>
   * source/vm/eval.c
     ! hb_evalBlock() function added

2001-12-06 22:20 GMT+3 Alexander Kresin <alex@belacy.belgorod.su>
  * source/rdd/dbfntx/dbfntx1.c
    * Bug fixed, reported by Horacio Roldˇn

2001-12-06 21:15 GMT+3 Alexander Kresin <alex@belacy.belgorod.su>
  * source/rdd/dbfntx/dbfntx1.c
    * Bug fixed, reported by Walter Negro

2001-12-05 21:20 UTC-0500 David G. Holm <dholm@jsd-llc.com>

  * source/rtl/seconds.c
    ! Bug fix for FreeBSD 4.4 port, which has microsecond time.

2001-12-05 20:00 UTC-0500 David G. Holm <dholm@jsd-llc.com>

  * source/rtl/seconds.c
    ! Bug fix for FreeBSD 4.4 port.

2001-12-05 16:00 UTC-0500 David G. Holm <dholm@jsd-llc.com>

  * doc/gmake.txt
  + doc/howtobsd.txt
    + FreeBSD 4.4 port

2001-12-05 15:30 UTC-0500 David G. Holm <dholm@jsd-llc.com>

  + config/bsd
  + config/bsd/dir.cf
  + config/bsd/gcc.cf
  + config/bsd/global.cf
  + config/bsd/install.cf
  * source/rtl/disksphb.c
  * source/rtl/seconds.c
  * source/rtl/gtstd/gtstd.c
    + FreeBSD 4.4 port

2001-12-05 19:44 UTC+0100 Viktor Szakats <viktor.szakats@syenar.hu>

   * include/hbmath.h
   * source/rtl/math.c
   * contrib/libct/ctmath.c
     * Renamed math handler C level functions to match the
       naming system of Harbour:
       hb_getMathError         -> hb_mathGetError
       hb_resetMathError       -> hb_mathResetError
       hb_isMathHandler        -> hb_mathIsHandler
       hb_installMathHandler   -> hb_mathInstallHandler
       hb_deinstallMathHandler -> hb_mathDeinstallHandler
       hb_setMathHandlerStatus -> hb_mathSetHandlerStatus
       hb_getMathHandlerStatus -> hb_mathGetHandlerStatus
       HB_MATHERR*             -> HB_MATH_ERR*

   * source/rtl/mlctopos.c
   * source/rtl/mpostolc.c
     ! Missing CVS headers added.

   * include/hbextern.ch
   * source/rtl/defpath.c
   * source/rtl/natmsg.c
   * source/rtl/oemansi.c
   * source/rtl/seconds.c
   * source/rtl/setcolor.c
   * source/rtl/setposbs.c
   * source/rtl/shadow.c
   * source/rtl/trim.c
     ! Functions, features marked as extensions or
       as undocumented.
     * Functions reordered by category in hbextern.ch
       It's now smaller, faster, and it's much more
       meaningful for the eye.
     ! Fixed faulty defines in hbextern.ch which
       excluded the complete GETSYS function list,
       when C53 compatibility was turned off.
     ! Some missing symbols added to hbextern.ch
     ! Removed doubly defined items from hbextern.ch

   * source/rtl/getsys.prg
   * source/rtl/tgetlist.prg
     * Some formatting.

2001-12-05 14:08 GTM+1 Antonio Linares <alinares@fivetech.com>
   * source/vm/eval.c
     ! hb_evalBlock0() and hb_evalBlock1() functions added

   * include/hbundoc.api
     ! hb_evalBlock0() and hb_evalBlock1() defines added

2001-12-05 12:31 UTC+0100 Viktor Szakats <viktor.szakats@syenar.hu>

   + source/vm/evalhb.c
   * source/vm/eval.c
   * source/vm/itemapi.c
   * source/vm/Makefile
   * makefile.bc
   * makefile.vc
     * EVAL() moved to evalhb.c
     * hb_eval*() and hb_do*() functions moved to eval.c.

   * source/vm/extend.c
     * Some vars renamed, type and indentation corrected.

2001-12-04 03:35 GMT+0700 Andi Jahja <harbour@cbn.net.id>
   * contrib/mysql/mysql.c
     ! type casts needed by MsVC

2001-12-03 15:00 GTM+1 Antonio Linares <alinares@fivetech.com>
   * harbour/include/clipdefs.h
     #ifndef HB_OS_WIN_32 used instead of __HARBOUR__

   * harbour/include/extend.api
     #ifndef HB_OS_WIN_32 used instead of __HARBOUR__

2001-12-03 11:20 GTM+1 Antonio Linares <alinares@fivetech.com>
   * harbour/include/clipdefs.h
     #ifndef used to avoid Windows.h collisions

   * harbour/include/extend.api
     #ifndef used to avoid Windows.h collisions

2001-12-02 23:15 GMT-3 Luiz Rafael Culik <culik@sl.conex.net>
   * contrib/mysql/mysql.c
     + DatatoSql() and FILETOSQLBINARY() functions.First to format characters to
       mysql format, Second to read an file and return it content as an mysql
       character string format
   * contrib/mysql/tmysql.prg
     * New Enhacemets
     + Added support to mediumint and mediumblob type on the follow classes
     + TMySqlRow:FieldType() will Return an "B" for mediumblob and an "I" Mediumint field
     + TMySQLServer:CreateTable(cTable, aStruct,cPrimaryKey,cUniqueKey,cAuto) Added tree new parameters
   * contrib/mysql/readme.txt
     * Updated file to reflect the changes

2001-12-01 18:10 GMT+1 JFL (mafact) <jfl@mafact.com>
   * harbour/source/vm/arrays.c
     * Last version from RON. No change in logic.


2001-11-30 22:05 GMT+1 JFL (mafact) <jfl@mafact.com>
   * harbour/source/vm/arrays.c
     * Corrected an error I added while creating null item when not needed
     * removed unneded itemrelease at the end of treatment


2001-11-30 00:10 GMT+1 JFL (mafact) <jfl@mafact.com>
   * harbour/source/vm/arrays.c
     * simplified hb_arrayClone() while keeping logic
       next step is to check it is working


2001-11-30 05:30 GMT+0700 Andi Jahja <harbour@cbn.net.id>
   * source/rtl/spfiles.c
     * Added C Casts for MsVC

2001-11-29 22:05 GMT+1 JFL (mafact) <jfl@mafact.com>
   * harbour/source/vm/classes.c
     * Forgot one printf(..) within hb_clsisclassref()

2001-11-29 12:15 UTC-0800 Brian Hays <bhays@abacuslaw.com>

   * makefile.bc
      + added dependencies for spfiles

   * contrib/rdd_ads/ads1.c
      * added possible error msg to a comment


2001-11-29 14:45 UTC-0500 David G. Holm <dholm@jsd-llc.com>

  * makefile.vc
    + Added spfiles.obj

2001-11-29 20:33 GMT+1 Antonio Linares <alinares@fivetech.com>
  * source/rtl/philes.c
     ! msvc required type cast added

2001-11-28 20:15 UTC-0500 David G. Holm <dholm@jsd-llc.com>

  * doc/funclist.txt
    ! Corrected the status of FILE() from Ready to Started, because
      it is missing the Clipper wild card (a.k.a., skeleton) support.

  * doc/en/file.txt
    ! Corrected the FILE() documentation.

2001-11-28 19:45 UTC-0500 David G. Holm <dholm@jsd-llc.com>

  * include/hbapifs.h
    + Moved PATHNAMES support from include/hbpp.h.

  * include/hbpp.h
    - Moved PATHNAMES support into include/hbapifs.h

  * include/hbset.h
    + Added PATHNAMES support for SET PATH.

  * source/common/hbfsapi.c
    + Moved PATHNAMES support from source/compiler/cmdcheck.c

  * source/compiler/cmdcheck.c
    - Moved PATHNAMES support into source/common/hbfsapi.c

  * source/rtl/Makefile
    + Added spfiles.c

  * source/rtl/philes.c
    ! FILES uses the new search path file API.

  * source/rtl/set.c
    + Added PATHNAMES support for SET PATH.

  + source/rtl/spfiles.c
    + New search path file API functions.

2001-11-28 22:45 GMT+1 JFL (mafact) <jfl@mafact.com>
   * harbour/source/vm/classes.c
     * Now releasing Classes from the last one to check Bryan GPF
   * harbour/include/hbclass.ch
     * Changed a bit some PP define to avoid unusued var warning from mscv

2001-11-28 12:57 GMT-3 Horacio Roldan <harbour_ar@yahoo.com.ar>
   * include/hbrddcdx.h
   * source/rdd/dbfcdx/dbfcdx1.c
     * begin support of pack

2001-11-26 22:55 GMT+1 JFL (mafact) <jfl@mafact.com>
   * harbour/source/vm/classes.c
     * Freezed ('remed') scoping due to a small bug wich could always
       create a false scoping error ...
   * harbour/source/vm/hvm.c
     * Changed the way a super call is done so now
       Super:Init(::nX) is allowed and ::nX is correctly seen
       befor ethat it was see as ::Super:nX ...

2001-11-23 17:57 GMT-3 Horacio Roldan <harbour_ar@yahoo.com.ar>
   * source/rdd/dbfcdx/dbfcdx1.c
     ! fixed gpf with autoopen
     ! fixed dbSeek for padded strings

2001-11-22 23:55 UTC-0800 Brian Hays <bhays@abacuslaw.com>

   * contrib/rdd_ads/ads1.c
      * quieted warnings in adsSetScope

2001-11-22 15:11 GMT+1 Maurilio Longo <maurilio.longo@libero.it>
   * contrib/mysql/readme.txt
     * little changes

2001-11-22 19:55 GMT+0700 Andi Jahja <harbour@cbn.net.id>
   * include/hbapi.h
     + add declaration char * hb_strncpyUpperTrim()

2001-11-21 17:45 UTC-0800 Brian Hays <bhays@abacuslaw.com>

   * source/rtl/strcase.c
      + added hb_strncpyUpperTrim to both upperize and trim

   * contrib/rdd_ads/ads1.c
      * removed bad pointer initialization

   * source/rdd/dbcmd.c
      * fieldpos() now calls hb_strncpyUpperTrim so padded
         field names don't fail

   * contrib/rdd_ads/adsfunc.c
      * fixed AdsGetAOFOptLevel to return correct value if there's
         no AOF active

2001-11-22 04:45 GMT+0700 Andi Jahja <harbour@cbn.net.id>
   * contrib/libnf/getvid.c
     ! HB_FUNC(_V_SETVPG), use int iPage only if HB_OS_DOS is defined
   * source/common/hbfsapi.c
     ! undefine _NFILE_ before redefining (was defined in BCC's _nfile.h)

2001-11-21 16:40 GMT-3 Horacio Roldan <harbour_ar@yahoo.com.ar>
   * source/rdd/dbfcdx/dbfcdx1.c
     ! fixed eof() bug

2001-11-21 12:31 GMT Dave Pearson <davep@davep.org>
   * source/rdd/dbcmd.c
     - Removed (using "#if 0...") hb_waNull().

2001-11-21 09:15 GMT -3 Luiz Rafael Culik<culik@sl.conex.net>
   * source/debug/debugger.prg
   * sorce/debug/dbgtarr.prg
      * Fixed an small bug that was forget to fix on previus upload

2001-11-21 06:35 GMT -3 Luiz Rafael Culik<culik@sl.conex.net>
   * source/debug/debugger.prg
      * Some enhacements, now you can use the Pgup/pgdown keys.
   * source/common/hbfspai.c
      * Added code to make harbour apps compiler with borland compiler open mode then 50 files
   * source/rtl/tbrowse.prg
      * reverted back to version 1.69 of maurilio

2001-11-20 22:45 UTC-0500 David G. Holm <dholm@jsd-llc.com>

  * source/compiler/harbour.y
  * source/macro/macro.y
    ! Exclude IBM C++ from the declaration of __yy_memcpy.

2001-11-20 23:59 GMT+1 Maurilio Longo <maurilio.longo@libero.it>
   * source/debug/debugger.prg
     ! ::ShowCode() was using At( ":", cModuleName ) to divide procedure name from module name,
       but this does not work if you have a source file on a different disk (at least on those
       systems which use a letter and a colon to name volumes).

2001-11-20 21:02 UTC+0100 Viktor Szakats <viktor.szakats@syenar.hu>

   * source/lang/Makefile
     + Added missing language.

   * source/lang/msgruwin.c
   * source/lang/msgzhb5.c
   * source/lang/msgzhgb.c
     * Small changes.

2001-11-20 16:36 GMT-3 Horacio Roldan <harbour_ar@yahoo.com.ar>
   * source/rdd/dbfcdx/dbfcdx1.c
     + added support for AUTO OPEN
     ! fixed ordListAdd() if the index has no path, try first the
       path of the dbf.
     ! fixed ordBagName(), now returns full pathname

2001-11-20 20:11 UTC+0100 Viktor Szakats <viktor.szakats@syenar.hu>

   * doc/howtomak.txt
     * Changed the requirement to Bison 1.28

   * source/common/hbver.c
     + Displays the HB_FM_STATISTICS setting in the /BUILD or //BUILD
       switches.

2001-11-20 08:18 GMT Dave Pearson <davep@davep.org>
   * source/rtl/gtsln/Makefile
   * source/rtl/gtsln/gtsln.c
   * source/rtl/gtsln/kbsln.c
     * Applied fixes from Marek Paliwoda <paliwoda@inetia.pl> that lets
       the slang GT driver code build on different GNU/Linux distributions
       (and possibly other flavours of Un*x).

2001-11-20 05:20 GMT+0700 Andi Jahja <harbour@cbn.net.id>
   * source/compiler/harbour.y
     ! declare function prototype __yy_memcpy() to satisfy Borland
   * source/macro/macro.y
     ! declare function prototype __yy_memcpy() to satisfy Borland

2001-11-19 16:00 UTC-0500 David G. Holm <dholm@jsd-llc.com>

  * source/rdd/dbfcdx/dbfcdx1.c
   ! Removed spurious (BYTE) overrides on dual assignments.

2001-11-19 17:20 GMT+1 Martin Vogel <vogel@inttec.de>

   + contrib/libct/bit2.c
     + number and bit manipulation functions CLEARBIT, SETBIT, ISBIT

     all provided by Walter Negro - FOEESITRA <waltern@foeesitra.org.ar>

   * contrib/libct/Makefile
   * contrib/libct/makefile.bc
   * contrib/libct/makefile.vc
   * contrib/libct/ctflist.txt
     * changes according to the above

2001-11-19 18:30 GMT+0700 Andi Jahja <harbour@cbn.net.id>
   * source/compiler/harbour.y
     ! add type casts for MsVC

   * makefile.vc / makefile.bc
     ! add flag "--no-line" to bison to kill MsVC warnings,
       so now macroy.c and harboury.c will be cleanly compiled
     ! change compiler flag: -w => -W3 ( no longer cause eye irritation )

2001-11-18 22:15 GMT+1 JFL (mafact) <jfl@mafact.com>
   * harbour/source/vm/classes.c
     * change CLSADDMSG() to intercept Operator overloading and
     use standardised symbol in place of operator itself
     (like "-" => "__OpLess" )
   * harbour/source/vm/hvm.c
     * Modif done to send correct message to object as newly defined
   * harbour/include/hbclass.ch
     + added an OPERATOR command for Inline use now we can define an OPERATOR
     using inline only like ;
     OPERATOR "-" ARG xARg INLINE ::cValue - xArg
     see new test overload.prg
   * harbour/tests/overload.prg
     adapted to command mode and use of the new OPERATOR INLINE command

2001-11-17 15:40 GMT+0700 Andi Jahja <harbour@cbn.net.id>
   * source/lang/msgzhbig.c
     - remove msgzhbig.c as it was replaced by msgzhb5.c

2001-11-17 08:20 GMT+0700 Andi Jahja <harbour@cbn.net.id>
   Non-ANSI comments fixed.
   * source/rdd/dbf1.c
   * source/rdd/dbfntx/dbfntx1.c
   * contrib/rdd_ads/ads1.c
   * contrib/rdd_ads/adsfunc.c
   * contrib/rdd_ads/adsmgmnt.c

2001-11-16 21:31 GMT-3 Horacio Roldan <harbour_ar@yahoo.com.ar>
   * source/rdd/dbfcdx/dbfcdx1.c
     ! fixed bug opening empty files with set delete on

2001-11-16 17:35 GMT+1 Antonio Linares <alinares@fivetech.com>
   * source/vm/hvm.c
     + Added new function __VMVARSLEN() --> nStatics
       It returns the total amount of used statics variables

2001-11-16 05:15 GMT+0700 Andi Jahja <harbour@cbn.net.id>
   * contrib/libnf/getver.c
     ! HB_FUNC(_FT_TEMPFIL), initialize cPath #if !defined(HB_OS_DOS)
   * source/lang/msgru866.c
     ! function renamed: hb_lang_Init_TPL => hb_lang_Init_RU866
   * source/lang/msgruwin.c
     ! function renamed: hb_lang_Init_TPL => hb_lang_Init_RUWIN
   * source/lang ( <freexbase@yahoo.com.cn> )
     + add msgzhb5.c ( Chinese Traditional )
     ! revised msgzhgb.c ( Chinese Traditional )
   * doc/en/lang.txt
     + add documentation of RU866 and RUWIN (Russian)
     + add documentation of ZH_GB and ZH_BIG5 (Chinese)
   * makefile.bc ( lang.lib section )
     ! add file dependency - msgzhb5.obj ( Chinese Traditional )
     ! add file dependency - msgzhgb.obj ( Chinese Simplified )
   * makefile.vc ( lang.lib section )
     ! add file dependency - msgzhb5.obj ( Chinese Traditional )
     ! add file dependency - msgzhgb.obj ( Chinese Simplified )
   * source/compiler/genobj32.c
     ! add type casts for MsVC
   * source/compiler/genc.c
     ! add type casts for MsVC

2001-11-16 08:44 GMT Dave Pearson <davep@davep.org>
   * source/compiler/gencobj.c
      * Fixed core dump when using -o switch.

2001-11-16 07:19 GMT Dave Pearson <davep@davep.org>
   * contrib/libct/print.c
     * Marked uiPort as HB_SYMBOL_UNUSED for unsupported platforms in
       PRINTSTAT() and PRINTREADY(). This removes a couple of warnings
       when building the library on unsupported platforms.

2001-11-16 00:13 GMT-3 Horacio Roldan <harbour_ar@yahoo.com.ar>
   * source/rdd/dbfcdx/dbfcdx1.c
     ! fixed bug with filters and set delete on

2001-11-15 21:00 GMT -3 Luiz Rafael Culik<culik@sl.conex.net>
   * utils/hbmake/hbmake.prg
      * Now it only delete test.out if no error occurs

2001-11-16 05:15 GMT+0700 Andi Jahja <harbour@cbn.net.id>
   * contrib/samples/gauge.c
     ! correct typo on formating %, \% => %%

2001-11-15 14:06 GMT-3 Horacio Roldan <harbour_ar@yahoo.com.ar>
   * source/rdd/dbfcdx/dbfcdx1.c
     ! fixed bug: value of empty memo was NIL instead of ""
       reported by Andi Jahja

2001-11-15 13:55 GMT+1 Antonio Linares <alinares@fivetech.com>
   * include/hbapi.h
     Enhanced HB_IS_OBJECT( PHB_ITEM )

2001-11-15 04:00 GMT+7 Walter Nergo <waltern@foeesitra.org.ar>
   ( CVSed by Andi Jahja )
   * contrib/libct/numconv.prg
   ! Fixed some bugs in CTON(), NTOC() and recursive function.
   + Add BITTOC() and CTOBIT() functions.

2001-11-13 21:26 GMT-3 Horacio Roldan <harbour_ar@yahoo.com.ar>
   * source/rdd/dbfcdx/dbfcdx1.c
     ! fixed: on index creation last byte of key was lost
     ! fixed: on index creation GPF with empty keys
     ! changed comments from // o /**/

2001-11-13 15:40 GMT-3 Horacio Roldan <harbour_ar@yahoo.com.ar>
   * source/rdd/dbfcdx/dbfcdx1.c
     ! fixed eof() bug in hb_cdxGoTo

2001-11-12 21:25 GMT -3 Luiz Rafael Culik<culik@sl.conex.net>
   * utils/hbmake/hbmake.prg
      * Fixed an small bug that remain in previus update
    The fixed Bellow was provided by Matteo Baccan
   *source/rtl/hvm.c
      * fixed problem in the way of variable search on harbour
   *contrib/libct/make_b32.bat
    contrib/libct/make_vc.bat
      * Fixed the name of the library
   +contrib/libnf/make_b32.bat
   *contrib/libnf/nanfor.bc
      * Fixed the name of the library

2001-13-11 04:45 GMT+0700 Andi Jahja <harbour@cbn.net.id>
   * contrib/libnf/descend.c
     ! added type casts for MsVC
   * contrib/libnf/mouse.c
     ! some clean-ups

2001-12-11 20:00 GMT+0700 Andi Jahja <harbour@cbn.net.id>
   * contrib/rdd_ads/ads1.c
     ! added type casts for MsVC (but still got warning on line 2086)

   * contrib/samples
     + add contrib/samples/makefile.vc
     + add contrib/samples/makevc.bat
   * contrib/samples/status.c
     ! added type casts for MsVC
   * contrib/samples/num.c
     ! added type casts for MsVC
   * contrib/samples/gauge.c
     ! added type casts for MsVC

   * contrib/libct/trig.c
     ! HB_FUNC( ASIN ), replaced abs() with fabs()
     ! HB_FUNC( ACOS ), replaced abs() with fabs()

2001-11-11 15:40 GMT+0700 Andi Jahja <harbour@cbn.net.id>
   * contrib/hgf/win32
     + add makefile.vc
     + add makevc.bat
   * contrib/hgf/win32/win32.c
     ! add type casts for MsVC

2001-11-11 23:35 UTC-0800 Brian Hays <bhays@abacuslaw.com>
   * include/hbapirdd.h
      * DBORDSCOPEINFO.scopeValue was changed from BYTE* to PHB_ITEM

   * source/rdd/dbcmd.c
      * ordScope(): changed to pass an item pointer to rdd

   * contrib/rdd_ads/ads1.c
      * adsScopeInfo and adsSetScope: fixed to handle all indexkey types
        This is a work in progress. Character and Numeric scopes
        should work fine. Some more needs to be done for Date and Logical

2001-11-11 20:10 GMT -3 Luiz Rafael Culik<culik@sl.conex.net>
   * utils/hbmake/hbmake.prg
     * Fixed an small bug on FileisNewer() function

2001-11-11 08:00 GMT+0700 Andi Jahja <harbour@cbn.net.id>
   * source/rdd/dbfcdx/dbfcdx1.c
     ! add type casts as required by MsVC

2001-11-10 20:54 GMT-3 Horacio Roldan <harbour_ar@yahoo.com.ar>
   * source/rdd/dbfcdx/dbfcdx1.c
     ! fixed hb_cdxKeyCompare, inverted sorting if high bit set
       (positives were before negatives)

2001-11-10 04:20 GMT +0700 Andi Jahja <harbour@cbn.net.id>
   * source/rdd/dbf1.c
      ! comment unused var ULONG ulRecNo

   * source/rdd/dbfntx/dbfntx1.c
      ! add type cast for MsVC

2001-11-09 10:30 UTC-0800 Brian Hays <bhays@abacuslaw.com>
   * harbour/source/rtl/persist.prg
      * fixed error handling for LoadFromText()
        Both it and LoadFromFile() now return lSuccess

2001-11-09 14:41 GMT Dave Pearson <davep@davep.org>
   * source/compiler/gencobj.c
      * Further fixes to remove core dumps regarding missing config files
        or missing information in the config file.

2001-11-08 23:42 GMT-3 Horacio Roldan <harbour_ar@yahoo.com.ar>
   * source/rtl/dummy.prg
     - removed dummy ordKeyVal()
   * source/rdd/dbcmd.c
     + added ordKeyVal() (need support by specifics RDDs)
   * source/rdd/dbfcdx/dbfcdx1.c
     + added support for ordBagName()
     + added support for ordKeyVal()
     ! fixed hb_cdxSorttoND, numeric key conversion
     ! fixed hb_cdxKeyGetItem(), for numeric & date keys
   * source/rdd/dbfcdx/dbfcdx2.h
     + added declaration for hb_cdxKeyGetItem

2001-11-08 22:40 GMT -3 Luiz Rafael Culik<culik@sl.conex.net>
   * utils/hbmake/hbmake.prg
     utils/hbmake/hbmake.prg
      * Fix some small problem with hbmake under linux

2001-11-09 05:20 GMT +7 Andi Jahja <harbour@cbn.net.id>
   * utils/hbmake/hbmutils.prg
     ! add Copyright header

2001-11-09 03:00 GMT +7 Andi Jahja <harbour@cbn.net.id>
   * utils/hbmake/hbmutils.prg
     ! some clean ups to enable compilation under MsVC
       To Luiz: Please use the standard " for include rather
       than ' eg. #include "foo.ch" instead of #include 'foo.ch'

2001-11-08 14:53 GMT-3 Horacio Roldan <harbour_ar@yahoo.com.ar>
   * source/rdd/dbfcdx/dbfcdx1.c
     + added support for ordFor()

2001-11-07 23:00 GMT -3 Luiz Rafael Culik<culik@sl.conex.net>
   * utils/hbmake/hbmake.prg
     utils/hbmake/hbmake.prg
      * Fix some small problem with hbmake under linux

2001-11-07 11:30 UTC-0500 David G. Holm <dholm@jsd-llc.com>

  * contrib/libct/files.c
   ! Exclude Cygwin from the WIN32 build paths.

2001-11-07 14:55 UTC+0100 Viktor Szakats <viktor.szakats@syenar.hu>

   * source/lang/Makefile
   * makefile.bc
   * makefile.vc
     * Updated with new lang modules.
       Now only Chinese and Dutch modules are not converted, if anyone
       feel like doing, please do.

   * make_vc.bat
     - Removed the call to create libmisc. If you need this, please
       make a batch file and set it locally.

   * source/rtl/oldbox.c
     * Some indentation.

2001-11-07 16:10 GMT+3 Alexander Kresin <alex@belacy.belgorod.su>
  * source/lang/msgru866.c
  * source/lang/msgruwin.c
    * format changed

2001-11-07 03:55 UTC-0500 Paul Tucker <ptucker@sympatico.ca>
   * bin\bld.bat
     * corrected typo

2001-11-07 03:05 UTC-0500 Paul Tucker <ptucker@sympatico.ca>
   * makefile.vc
     * Correct new definitions
   * source/rtl/fstemp.c
     * added cast for msvc

2001-11-07 01:45 UTC+0100 Viktor Szakats <viktor.szakats@syenar.hu>

   * include/hbextern.ch
   * include/hbapifs.h
   * source/rtl/fstemp.c
      - Removed (made static) hb_fsTempName() low-level function,
        since it's unsafe, and will be incorporated into hb_fsCreateTemp().
      - Removed HB_FTEMPNAME function, since it's unsafe.
      ! Fixed some recent HB_FTEMPCREATE bugs.
      + HB_FTEMPCREATE() now will store the generated filename in the
        fourth parameter if it's passed by reference.

   * makefile.bc
     ! Fixed a bug introduced in the prev. session.

2001-11-07 01:17 UTC+0100 Viktor Szakats <viktor.szakats@syenar.hu>

   - b16_slex.bat
   - b32_slex.bat
   - vc_slex.bat
   - hb_slex.vc
   * makefile.vc
     - Removed the batch files which initated a Simplex based Harbour.
       from now on you can simply set the environment variable
       HB_LEX=SIMPLEX and get the same result using the standard make files.

       So if you're a Simplex user, please don't forget to put the following
       line into your configuration files:
       set HB_LEX=SIMPLEX

     * The Simplex specific parallel MSVC make file has been consolidated
       into the standard MSVC make file. Note that I couldn't test it,
       so please report any errors you find.

   * make_b32.bat
     ! Doesn't override the HB_LEX variable, so that it can be set by
       the caller.

   * makefile.bc
   * makefile.vc
     * PDF environment variable changed to HB_DOC_PDF. Please change your
       settings according to this, if needed.
     + Documented this switch.

   - todo.txt
   + TODO
     * Standardized file name.

2001-11-07 00:11 UTC+0100 Viktor Szakats <viktor.szakats@syenar.hu>

   * include/hbapifs.h
   * source/rtl/filesys.c
     + Added hb_fsCreateEx() function which is similar to hb_fsCreate()
       with the plus that the opening mode can be also specified.

   * include/hbextern.ch
   * source/rtl/philes.c
     + Added HB_FCREATE() where you can specifiy the opening mode using
       the FO_* contants.

   * source/lang/Makefile
   * makefile.bc
   * makefile.vc
     + Added some new language files.

   * include/Makefile
     ! Synced with the actual list of header files. This fixes the
       installation with the GNU-make system.

   * source/rtl/fstemp.c
   * include/hbapifs.h
     * Changed to make use of hb_fsCreateEx(), and open the temp file
       in exclusive mode.

   * source/rdd/hbdbsort.c
     * Now uses hb_fsCreateTemp()

   * make_gnu.bat
   * bin/bld.bat
     ! MinGW name change.

   * include/hbapigt.h
     + Added some functions which have incompatible prototypes with
       CA-Clipper Extend System.

   * source/vm/extend.c
     * Some formatting.

   * source/vm/mainlgtk.c
     ! Fixed CVS header.

2001-11-06 19:28 GMT-3 Horacio Roldan <harbour_ar@yahoo.com.ar>
   * source/rdd/dbfcdx/dbfcdx2.h
   * source/rdd/dbfcdx/dbfcdx1.c
     ! fixed bug in OrdListAdd from previous change (now should work!)
     + added hb_cdxGetTagByNumber helper function

2001-11-06 09:50 GMT Dave Pearson <davep@davep.org>
   * tests/Makefile
      * testprof.prg was missing. Added.

2001-11-06 06:20 GMT -3 Luiz Rafael Culik <culik@sl.conex.net>
   * source/debug/dbgtarr.prg
      * Some enhacementes . Now you can use Page up/Page Down keys for movement
   * source/rtl/gtwin/gtwin.c
      * Applied Matteo Patch for screen size
  * source/rtl/tbrowse.prg
      * Now hilite/dehilite methods take in account the value of tbcolumn:defblock

2001-11-05 22:35 UTC-0800 Brian Hays <bhays@abacuslaw.com>
   * harbour/source/vm/dynsym.c
      * added "trimming" to new symbols, should fix bugs
        related to dbUseArea called with space-padded alias

2001-11-05 19:25 UTC-0500 David G. Holm <dholm@jsd-llc.com>

  * config/w32/gcc.cf
  * source/rtl/isprint.c
   ! Cygwin fixes.

2001-11-05 20:35 GMT+0700 Andi Jahja <andijahja@cbn.net.id>
  * source/rdd/workarea.c
    ! function hb_waRelEval(), remove unused local variable int iChildArea

2001-11-05 15:38 GMT+3 Alexander Kresin <alex@belacy.belgorod.su>
  * source/rdd/workarea.c
    * hb_waEval() method fixed ( NEXT n clause implementation )

2001-11-05 03:59 UTC+0100 Viktor Szakats <viktor.szakats@syenar.hu>

   * utils/hbtest/hbtest.prg
     + Enhanced the display of errors, now the correct and incorrect
       results are below each other, so it's much easier to spot the
       difference.

   * source/common/hbver.c
     * "Mingw32" -> "MinGW" name of the compiler changed.

   * source/rtl/filesys.c
     * 0L -> 0, where the former was superfluous.

   * include/hbsetup.h
     ! Fixed WIN32 platform detection under Cygwin 1.3.3

   * config/w32/mingw32.cf
     ! Added winspool lib...

   * makefile.bc
     - Removed -M switch from hbmake. Please use set CFLAGS= to add
       optional switches.

   * source/rtl/gtwin/gtwin.c
   * source/vm/arrays.c
   * source/vm/pvalue.c
     * Minor changes in formatting.

2001-11-04 18:34 UTC+0100 Viktor Szakats <viktor.szakats@syenar.hu>

   * source/compiler/cmdcheck.c
   * source/compiler/gencobj.c
   * source/compiler/hbpcode.c
   * source/rtl/filesys.c
   * source/rtl/idle.c
   * source/vm/classes.c
   * source/vm/hvm.c
     ! Non-ansi comments fixed.
       Note that RDD files has lots of // comments, if you're the author
       of some those files and seeing this, please check your code. Thx.

2001-11-04 18:14 UTC+0100 Viktor Szakats <viktor.szakats@syenar.hu>

   * include/hbexpra.c
   * include/hbexprc.c
   * source/rtl/set.c
   * source/rtl/isprint.c
   * source/vm/classes.c
   * source/vm/hvm.c
     ! Fixed BCC551 warnings. (One more warning is left, due to some
       define messes)
     ! Non-ansi comments fixed.

2001-11-04 17:25 GMT+1 Antonio Linares <alinares@fivetech.com>
   * source/vm/classes.c
     __ClsAddMsg() case HB_OO_MSG_ONERROR modifed to use hb_parnl( 3 )

   * source/rtl/tclass.prg
     __ClsAddMsg() call, for ON ERROR clause, modified suplied parameters

2001-11-04 15:54 GMT+1 Maurilio Longo <maurilio.longo@libero.it>
   * source/rtl/tbrowse.prg
     ! ::Hilite() cursor positioning was wrong for TBrowsers without heading

2001-11-04 13:56 UTC+0100 Viktor Szakats <viktor.szakats@syenar.hu>

   * bin/bld.bat
   * bin/bld_b16.bat
   * bin/bld_b32.bat
   * bin/bld_vc.bat
   * make_gnu.bat
     ! Removed the LIBMISC.LIB requirement for BCC and VC platforms.
     + Added note to not modify these files as they are templates.

2001-11-03 14:00 GMT+7 Andi Jahja <harbour@cbn.net.id>
   * contrib/rdd_ads/ads1.c
     ! some clean ups

   * contrib/rdd_ads/adsmgmnt.c
     ! add type cast to quite MsVC

2001-11-02 22:50 GMT+1 Martin Vogel <vogel@inttec.de>

   + contrib/libct/keyset.c
     + key switch functions KSETINS, KSETCAPS, KSETNUM, KSETSCROLL
   + contrib/libct/print.c
     + printer functions PRINTSTAT, PRINTREADY
   + contrib/libct/numconv.prg
     + number manipulation functions NTOC, CTON

     all provided by Walter Negro - FOEESITRA <waltern@foeesitra.org.ar>

   * contrib/libct/Makefile
   * contrib/libct/makefile.bc
   * contrib/libct/makefile.vc
   * contrib/libct/ctflist.txt
     * changes according to the above

2001-11-01 05:10 UTC-0800 Brian Hays <bhays@abacuslaw.com>

   * harbour/include/hbsetup.h
      * Wrapped HB_FM_STATISTICS in #ifndef test so it can be
        turned off by defining
        HB_FM_STATISTICS_OFF in your make or bat files.

   * harbour/source/rtl/trace.c
      + added HB_TRACESTRING() which lets prg code trace a
         string into same trace file/window as C traces

   * harbour/source/vm/hvm.c
      + added __TRACEPRGCALLS( <lOnOff> ) --> <lOldValue>
         Turns on | off tracing of PRG-level function and
         method calls. Dumps symbol name just before it's called.
         Implementation follows example of
         the Profiler; all actions are wrapped in an
         "if" of a BOOL so there should be no performance
         hit if it's turned off.
         This is very useful when debugging GPFs as it will
         trace all PRG-level calls up until the crash.
         Uses HB_TRACE so traces are in line with any
         C-level traces.

2001-11-01 18:30 GMT+1 Martin Vogel <vogel@inttec.de>

   + contrib/libct/datetime.prg
     + some date functions (bom,eom,boq,eoq,boy,eoy,stod)
       provided by Marek Horodyski <homar@altkom.com.pl>

   * contrib/libct/Makefile
   * contrib/libct/makefile.bc
   * contrib/libct/makefile.vc
   * contrib/libct/ctflist.txt
     * changes according to the above

   * contrib/libct/token2.c
     * some typos corrected

2001-11-01 17:05 GMT+1 Antonio Linares <alinares@fivetech.com>
   * contrib/rdd_ads/ads1.c
     type cast required for msvc

2001-11-01 21:40 GMT+7 Andi Jahja <harbour@cbn.net.id>
   * include/hbdefs.h
     ! add argument to __HARBOUR__ definition => define if not defined yet
       since in some cases __HARBOUR__ is defined in command line

2001-11-01 15:15 GMT+1 Antonio Linares <alinares@fivetech.com>
   * source/vm/classes.c
     type cast to avoid a msvc error

   * source/vm/itemapi.c
     some type casts to avoid some msvc errors and warnings

2001-11-01 08:16 GMT Dave Pearson <davep@davep.org>
   * tests/multiarg.prg
      * __PValue() --> HB_PValue().

2001-10-30 00:20 GMT +0700 Andi Jahja <harbour@cb.net.id>
   * include/hbexpra.c
     ! rename __PVALUE to HB_PVALUE
     => Need clean rebuild
   * utils/hbmake/hbmutils.prg
     ! fix typo "("

2001-10-31 11:48 GMT+3 Alexander Kresin <alex@belacy.belgorod.su>
   * source/rdd/dbcmd.c
     ! fixed alias name checking in dbUseArea()

2001-10-30 21:15 GMT -3 Luiz Rafael Culik<culik@sl.conex.net>
   * bin/bld.bat
      * Added Required winspool.lib for msvc builds
   * source/vm/pvalue.c
     include/hbextern.ch
      * Renamed __pvalue to hb_pvalue
   * utils/hbmake/hbmake.prg
     utils/hbmake/hbmake.prg
      * Fix some small problem with hbmake under linux

2001-10-30 20:05 GMT+3 Alexander Kresin <alex@belacy.belgorod.su>
   * contrib/rdd_ads/ads1.c
     * Added support for creating custom indexes
   * contrib/rdd_ads/adsfunc.c
     * Two functions added:
         AdsAddCustomKey( [ cOrder | nPosition ] )
         AdsDeleteCustomKey( [ cOrder | nPosition ] )

2001-10-30 11:01 GMT Dave Pearson <davep@davep.org>
   * source/rtl/filesys.c
     * Fixed the Un*x oriented code in hb_fsMkDir so that it sets
       S_IXUSR as well as S_IWUSR and S_IRUSR when making the directory.
       Without it the directory can't be entered or used.

2001-10-29 14:14 GMT+1 Maurilio Longo <maurilio.longo@libero.it>
   * contrib/mysql/readme.txt
     * updated
   - contrib/mysql/mysql.h
   - contrib/mysql/mysql_com.h
   - contrib/mysql/mysql_version.h
     - removed OS/2 only include files

2001-10-27 22:40 GMT -3 Luiz Rafael Culik<culik@sl.conex.net>
  * contrib/mysql/mysql.c
    * Fixed an small bug on SQLCONNECT
  *utils/hbmake/hbmutils.prg
    * Fixed an small bug, on GetSourceFiles() and GetMacrosDir() with was not returning
      the valid files names/directory names under linux

2001-10-27 20:15 GMT+3 Alexander Kresin <alex@belacy.belgorod.su>
  * source/rdd/dbfntx1.c
    * logical index support added ( code posted by Matteo Baccan )
  ! source/pp/pplib.c
    ! bug fixed in __pp_free() function

2001-10-27 06:50 GMT -3 Luiz Rafael Culik<culik@sl.conex.net>
   * hb_slex.vc
      * Make file sincronized with makefile.vc thanks to Ron Pinkas <ron@profit-master.com>forn this file update
   * contrib/hbzlib/zipnew.cpp
     contrib/hbzlib/zip.c
       * Fixed an small bug when uncompressing File that has the drive letter

2001-10-26 15:21 GMT-3 Horacio Roldan <harbour_ar@yahoo.com.ar>
   * source/rdd/dbfcdx/dbfcdx1.c
     * OrderListAdd now reorder the Tag List of the opened CDX by its
       position in the CDX instead of its tag name. (for Clipper
       compatibility)

2001-10-26 13:15 GMT-3 Horacio Roldan <harbour_ar@yahoo.com.ar>
   * source/rdd/dbfcdx/dbfcdx1.c
     * Re-disabled temporally SUPER call to ignore unsupported ordinfo items

2001-10-26 00:10 GMT Dave Pearson <davep@davep.org>
   * source/compiler/harbour.c
      * Tidied up the indentation of the functions towards the end of the
      file. The indentation had somehow got lost at some point in the
      past.

2001-10-24 20:08 GMT+7 Andi Jahja <harnour@cbn.net.id>
   * source/rdd/dbcmd.c
     ! Add casts to quite MsVC

2001-10-24 09:50 GMT+3 Alexander Kresin <alex@belacy.belgorod.su>
  ! source/rdd/dbfntx1.c
     ! bug fixed in ntxZap

2001-10-23 22:03 UTC-0500 Paul Tucker <ptucker@sympatico.ca>
   * makefile.vc
     * add missing $(OBJ_DIR)\hbmutils.c per <rhaley@onebox.com>

2001-10-23 20:08 GMT-3 Horacio Roldan <harbour_ar@yahoo.com.ar>
   * source/rdd/dbcmd.c
     ! Fixed bug in dbCreate, that affected DBF RDD derived
       (ntx & cdx) with memo files.

2001-10-23 14:10 GMT+3 Alexander Kresin <alex@belacy.belgorod.su>
  ! source/rdd/dbfntx1.c
     ! fixed support of numeric indexes for negative numbers

2001-10-22 07:20 GMT -3 Luiz Rafael Culik<culik@sl.conex.net>
   *makefile.bc
     * removed -b option from hbmake

2001-10-22 13:42 GMT-3 Horacio Roldan <harbour_ar@yahoo.com.ar>
   * source/rdd/dbfcdx/dbfcdx1.c
     + added support for DBOI_NUMBER, for indexord() support
     + added support for DBOI_ORDERCOUNT, for ordlistadd() support

2001-10-22 01:28 UTC-0500 Paul Tucker <ptucker@sympatico.ca>
   * utils\hbmake\hbmake.prg
     * corrected a couple of typos.

2001-10-22 01:10 UTC-0500 Paul Tucker <ptucker@sympatico.ca>
   * makefile.vc
     * corrected ECHO and PDF definition.

2001-10-21 19:10 GMT -3 Luiz Rafael Culik<culik@sl.conex.net>
   * source/compiler/harbour.c
      * Fixed alingment on the _DECL section
   * utils/hbmake/hbmake.prg
     utils/hbmake/hbmutils.prg
      * Small Fixes
      *Removed call to the Harbour profiler
   * todo.txt
      *Removed the hbmake entry

2001-10-21 08:05 GMT Dave Pearson <davep@davep.org>
   * source/hbmake/Makefile
      * Added missing continuation character to line 14.
   * utils/hbmake/hbmutils.prg
      * Adding missing ")" to `if' in line 21.

2001-10-20 20:00 GMT -3 Luiz Rafael Culik<culik@sl.conex.net>
   * source/compiler/harbour.c
      * Changed some function parameters in the _DECL section
   * utils/hbmake/hbmake.prg
      % removed unused variables
      + New parameter -r: recurse sub directories on editor mode
      % enhaced -e and -el: the enhaced parameters has an x on the end.
      using the -ex or -elx tells hbmake to use harbour .obj generation capabilities
      % many For/Next Loop replaced for an fastern Aeval() function call
      * Support for generating output files in other dir

   + utils/hbmake/hbmutils.prg
      * All utilities function inside hbmake.prg was moved to this module
   * utils/hbmake/pickfile.prg
      *added pickafile() function
   + doc/hbmake.txt
      * some info about hbmake. Linux users should read to see how to set harbour.cfg.
   * makefile.bc
     makefile.vc
     hb_slex.vc
     utils/hbmake/Makefile
      * Added hbmutils.prg to dependencie List

2001-10-20 07:30 GMT -3 Luiz Rafael Culik<culik@sl.conex.net>
   *contrib/hbzlib/zipnew.cpp
   contrib/hbzlib/zipcomp.cpp
   contrib/hbzlib/zip.c
   contrib/hbzlib/hbzip2.h
     * Fixed an small bug on hb_setzipcommet()

2001-10-20 07:30 GMT -3 Luiz Rafael Culik<culik@sl.conex.net>
*source/compiler/harbour.c
   *Fixed some warings reported by Dave Person

2001-10-19 01:35 UTC-0500 Paul Tucker <ptucker@sympatico.ca>
   * source/contrib/libct
       * justify.c
         pos2.c
         range.c
         relation.c
         replace.c
         strswap.c
         wordtoch.c
         pad.c
       * added casts to xgrab calls.

2001-10-19 18:42 GMT-3 Horacio Roldan <harbour_ar@yahoo.com.ar>
   * source/rdd/dbfcdx/dbfcdx1.c
     ! fixed ordSetFocus related, if the previos order was 0, it did nothing
     ! fixed ordSetFocus related, was comparing case sensitive

2001-10-19 07:50 GMT -3 Luiz Rafael Culik<culik@sl.conex.net>
*source/compiler/harbour.c
   *Fixed some warings reported by Dave Person

2001-10-18 22:10 GMT -3 Luiz Rafael Culik<culik@sl.conex.net>
*source/rtl/profiler.prg
   * fixed an small bug: Is was looking for an internel class
    start with HB_ but the class was defined without the _

*source/compiler/harbour.c
   *added 37 functions in the _DECL section for the strong type support

2001-10-15 09:15 GMT+3 Alexander Kresin <alex@belacy.belgorod.su>
  ! source/pp/pptable.c
     * Warning fixed

2001-10-12 12:44 GMT-3 Horacio Roldan <harbour_ar@yahoo.com.ar>
   * source/rdd/dbfcdx/dbfcdx1.c
     ! fixed updating keys with trailing spaces
     * added support for conditional indexes (creation and updating)

2001-10-11 23:05 GMT+1 JFL (mafact) <jfl@mafact.com>
   * harbour/source/vm/classes.c
   * harbour/source/vm/hvm.c
     * Changed the way I allocate/reallocate and xfree 'puiClstree' pointer
       to solve unreleased memory blocks ...

2001-10-11 21:45 GMT+3 Alexander Kresin <alex@belacy.belgorod.su>
  ! source/pp/pptable.c
     * Rule corrected

2001-10-10 23:50 GMT+1 JFL (mafact) <jfl@mafact.com>
   * harbour/source/vm/classes.c
       Fixed hb_clsIsParent for same class as parent ...
       (xBase++ compatibility)

2001-10-10 10:07 GMT Dave Pearson <davep@davep.org>
   * source/rtl/tbrowse.prg
     * Fixed bug in :insColumn() as reported by Andreas Moroder in
       <URL:news:comp.lang.clipper>.

2001-10-08 21:30 GMT -3 Luiz Rafael Culik<culik@sl.conex.net>
  *source/rtl/isprint.c
   contrib/libct/files.c
   ! Cygwin fixes.
   *contrib/hbzlib/zipnew.cpp
   contrib/hbzlib/zipcomp.cpp
   contrib/hbzlib/zip.c
   contrib/hbzlib/hbzip2.h
     * Added new functions
     * Now is possible to create zipfiles in memory
   *contrib/libct/makefile.bc
     * added files.c to makefile

2001-10-08 23:12 GMT+3 Alexander Kresin <alex@belacy.belgorod.su>
  ! source/rdd/dbf1.c
  ! source/rdd/workarea.c
    * relations implemented for RDD's, inherited from DBF ( DBFNTX AND DBFCDX )

2001-10-06 15:28 GMT+3 Alexander Kresin <alex@belacy.belgorod.su>
  ! source/rdd/dbfntx/dbfntx1.c
    ! Few fixes

2001-10-05 23:12 GMT+3 Alexander Kresin <alex@belacy.belgorod.su>
  ! source/rdd/dbf1.c
    ! hb_dbfRecall() fixed

2001-10-04 17:10 UTC-0400 David G. Holm <dholm@jsd-llc.com>

  * doc/gmake.txt
  * source/rtl/filesys.c
  * source/rtl/idle.c
   ! Cygwin fixes.

2001-10-03 17:30 UTC-0400 David G. Holm <dholm@jsd-llc.com>

  * source/rtl/isprint.c
    - The Windows version doesn't work with RSXNT,
      due to link time errors, so exclude __RSXNT__
      from the HB_OS_WIN_32 branches.

2001-09-30 17:20 GMT -3 Luiz Rafael Culik<culik@sl.conex.net>
   *source/rtl/filesys.c
     * Some minor changes to the Win32 section(Verify the return code of the function
       before make the call to GetLastError())

2001-09-30 08:20 GMT -3 Luiz Rafael Culik<culik@sl.conex.net>
   *contrib/hbzlib/zipnew.cpp
   contrib/hbzlib/zipcomp.cpp
   contrib/hbzlib/zip.c
   contrib/hbzlib/hbzip2.h
     * Added an second code block to all Compress/extraction function
     * Added some guard com specific platform
   *contrib/hbzlib/doc/zipnew.txt
     * Updated the docs to reflect the library changes

2001-09-27 14:33 UTC+0100 Viktor Szakats <viktor.szakats@syenar.hu>

   * source/rtl/memofile.c
     ! MEMOWRIT() - Restored CA-Cl*pper compatibility.

   * source/rtl/dbedit.prg
     ! DBEDIT() - Restored CA-Cl*pper compatibility.

   * source/rtl/tbrowse.prg
     ! Fixed AutoLite/Hilite/DeHilite() support. Now DBEDIT() works
       as expected.

2001-09-27 01:52 GMT-3 Horacio Roldan <harbour_ar@yahoo.com.ar>
  * source/rtl/memofile.c
    * Fixed: MemoWrit added an EOF (0x1A) everytime
      (under Windows), Reported by Brian Hays.
    * Fixed: MemoRead didn't strip the EOF char
      (under Windows).

2001-09-26 18:38 GMT-3 Horacio Roldan <harbour_ar@yahoo.com.ar>
  * source/rtl/dbedit.prg
    * Fixed no-hilighting problem, sent by Wilson Velazquez

2001-09-24 08:45 GMT+1 Antonio Linares <alinares@fivetech.com>
   - contrib/hgf/gtk/tform.prg
   + contrib/hgf/gtk/form.prg
     * tform.prg module renamed as form.prg

   - contrib/hgf/gtk/tmenu.prg
   + contrib/hgf/gtk/menu.prg
     * tmenu.prg module renamed as menu.prg

   + contrib/hgf/gtk/dispatch.c
     * GTK c level to PRG level dispatcher

   + contrib/hgf/gtk/msginfo.c
     * GTK MsgInfo() implementation

   + contrib/hgf/gtk/creabutt.c
     * pushbuttons low level creation.

   + contrib/hgf/gtk/winctrl.prg
     * Class HBWinControl

   + contrib/hgf/gtk/general.prg
     * some low level functions

   + contrib/hgf/gtk/button.prg
     * Class HBButton

   * harbour/contrib/hgf/gtk/Makefile
   * harbour/contrib/hgf/gtk/creamenu.c
   * harbour/contrib/hgf/gtk/creawin.c
   * harbour/contrib/hgf/gtk/harbgtk.ch
   * harbour/contrib/hgf/gtk/harbgtk.h
   * harbour/contrib/hgf/gtk/menuitem.prg
   * harbour/contrib/hgf/gtk/shared.ch
     * some changes

2001-09-21 11:30 GMT+3 Alexander Kresin <alex@belacy.belgorod.su>
   * contrib/rdd_ads/ads1.c
     ! Uploaded a fix, posted by Brian Hays
   * contrib/rdd_ads/adsfunc.c
   * contrib/rdd_ads/ads.ch
     * SET PATH TO <cpath> added
   * contrib/rdd_ads/doc/rddads.rsp
     * adsfuncs.txt item added
   * contrib/rdd_ads/doc/en/adsfuncs.txt
     ! minor formatting bug fixed

2001-09-18 02:06 UTC+0100 Viktor Szakats <viktor.szakats@syenar.hu>

   * source/vm/arrayshb.c
     ! HB_APARAMS() trace call removed.
       Thanks to Brian Hays.

2001-09-17 02:21 UTC+0100 Viktor Szakats <viktor.szakats@syenar.hu>

   * source/compiler/hbfunchk.c
     ! QSELF() compile time checking for the number of arguments.
       Thanks to Jose Lalin.

2001-09-16 20:40 GMT -3   Luiz Rafael Culik<culik@sl.conex.net>
   *contrib/libct/files.c
     * fixed compiler problem for MINGW

2001-09-13 06:02 UTC+0100 Viktor Szakats <viktor.szakats@syenar.hu>

   * source/vm/arrays.c
     ! hb_arraySize() fixed. Now it will do nothing if the passed size
       equals with the size of passed array. Caused mem. alloc. error
       with empty arrays. Reported by Brian Hays.

2001-09-11 10:37 GMT Dave Pearson <davep@davep.org>
   * source/rtl/profiler.prg
     * Renamed classes from HB_* to HB*.
   * tests/testprof.prg
     * Updated the code to use the new class names.

2001-09-11 12:11 UTC+0100 Viktor Szakats <viktor.szakats@syenar.hu>

   * source/vm/classes.c
     ! Changed one (hopefully) last occurence of TClass to HBClass

   * make_b16.bat
     make_b32.bat
     make_vc.bat
     makefile.bc
     makefile.vc
     * Some cleanups.

   * doc/en/command.txt
     doc/en/harbext.txt
     doc/en/objfunc.txt
     doc/en/tclass.txt
     doc/es/command.txt
     ! Classname changes applied to docs.

2001-09-10 23:53 UTC+0100 Viktor Szakats <viktor.szakats@syenar.hu>

   * source/rtl/dummy.prg
     - Removed commented out functions.
     ! Added CRLF to EOF

   * source/vm/classes.c
     ! Small correction to CVS header.

   * contrib/libmisc/fileread.prg
     contrib/odbc/todbc.prg
     include/hbclass.ch
     include/hbextern.ch
     samples/guestbk/inifiles.prg
     samples/guestbk/testcgi.prg
     source/debug/debugger.prg
     source/debug/tbrwtext.prg
     source/rtl/checkbox.prg
     source/rtl/dummy.prg
     source/rtl/getlist.prg
     source/rtl/getsys.prg
     source/rtl/listbox.prg
     source/rtl/memoedit.prg
     source/rtl/pushbtn.prg
     source/rtl/radiobtn.prg
     source/rtl/radiogrp.prg
     source/rtl/scrollbr.prg
     source/rtl/strings.c
     source/rtl/tclass.prg
     source/rtl/teditor.prg
     source/rtl/terror.prg
     source/rtl/tget.prg
     source/rtl/tgetlist.prg
     source/rtl/tlabel.prg
     source/rtl/tmenuitm.prg
     source/rtl/tobject.prg
     source/rtl/tpopup.prg
     source/rtl/treport.prg
     source/rtl/ttextlin.prg
     source/rtl/ttopbar.prg
     tests/clasinit.prg
     tests/classes.prg
     tests/clsdata.prg
     tests/debugtst.prg
     tests/dynobj.prg
     tests/inherit.prg
     tests/inifiles.prg
     tests/inline.prg
     tests/objarr.prg
     tests/objasign.prg
     tests/objects.prg
     tests/overload.prg
     tests/rtfclass.prg
     tests/stripem.prg
     tests/testcgi.prg
     tests/testhtml.prg
     tests/tstmacro.prg
     utils/hbtest/rt_misc.prg
     * Changed class names to avoid possible namespace collisions.
       TClass      -> HBClass
       TObject     -> HBObject
       TGetList    -> HBGetList
       TEditor     -> HBEditor
       TTextLine   -> HBTextLine
       TLabelForm  -> HBLabelForm
       TReportForm -> HBReportForm
       TGet        -> removed (If someone used it anywhere please change
                               it to "Get")
       TRadioGroup -> HBRadioGroup
       TScrollBar  -> HBScrollBar
       TRadioBtn   -> HBRadioButton
       TListBox    -> HBListBox
       TPushButton -> HBPushButton

       The debugger classes were not renamed this time.

   * contrib/libct/makefile.bc
     ! Corrected typo in make file (could not compile).

   * source/rtl/radiobtn.prg
     ! Fixed class name.

   * source/rtl/listbox.prg
     ! Fixed two errors in class declaration
     ! Fixed one syntax error

   * source/rtl/scrollbr.prg
     ! Fixed incorrect #include "class.ch".
     ! Public variable (is it really needed ?) prefixed with "hb_p_"
       and MEMVAR declaration added.

   * source/rtl/strings.c
     * Updated copyright since all copyright was held by the one (me;)
       in the partial copyright section.

   * source/rtl/gtstd/gtstd.c
     ! C compiler warning fixed.

   * source/compiler/hbusage.c
     ! Typo fixed.

2001-09-09 17:30 GMT -3 Luiz Rafael Culik <culik@sl.conex.net>
*makefile.bc
 makefile.vc
 source/rtl/Makefile
  + Scrollbr.prg and Listbox.prg to dependecie list
+source/rtl/listbox.prg
  * Ca-Clipper 5.3 compatible listbox Class
+source/rtl/scrollbr.prg
   * Ca-Clipper 5.3 compatible scroll bar Class
*source/rtl/checkbox.prg
   *small change to isdefcolor function
* Todo.txt
   Remove the Ca-clipper 5.3 classes entried


2001-09-09 21:00 MEST Martin Vogel <vogel@inttec.de>

   + contrib/libct/token2.c
     + Incremental tokenizer: TOKENINIT(), TOKENEXIT(), TOKENNEXT()
                              TOKENNUM(), TOKENAT(), SAVETOKEN()
                              RESTTOKEN(), TOKENEND()
       with some enhanced functionality

   + contrib/libct/tests/token2.prg
     + test program for incremental tokenizer

   - contrib/libct/ct.c
   + contrib/libct/ctc.c
     ! file renamed from ct.c to ctc.c, contains now C part of lib init/exit
       code

   + contrib/libct/ct.prg
     ! contains PRG part of lib init/exit code

   - contrib/libct/temper.c
     ! file removed since CELSIUS() and FAHRENHEIT() functions have already
       been implemted in num1.c

   * contrib/libct/Makefile
   * contrib/libct/makefile.bc
   * contrib/libct/makefile.vc
   * contrib/libct/cterror.ch
   * contrib/libct/ctflist.txt
   * contrib/libct/readme.txt
     * changes according to the above


2001-09-09 15:48 GMT+2 Maurilio Longo <maurilio.longo@libero.it>
   + contrib/hgf/os2pm/winctrl.prg
     + added
   + contrib/hgf/os2pm/button.prg
     + added
   + contrib/hgf/os2pm/edit.prg
     + added
   * contrib/hgf/os2pm/Makefile
     + added new files
   * contrib/hgf/os2pm/os2pm.c
     * modified and added new functions already added to win32.c
   * contrib/hgf/os2pm/os2pm.ch
     - removed all defines which are not currently needed, this makes
       os2pm.ch smaller and faster to compile.

2001-09-08 12:01 UTC-0800 Brian Hays <bhays@abacuslaw.com>
   - hb_slex.bc
      Removed unneeded file since Simplex uses makefile.bc now

2001-09-08 17:00 UTC+0100 Ryszard Glab <rglab@imid.med.pl>
    *source/vm/macro.c
        * fixed "memory not released" bug during object's variable
          assignment

2001-09-08 11:32 GMT+1 Antonio Linares <alinares@fivetech.com>
   * harbour/source/rtl/persist.prg
     extern HB_STOD added

   * harbour/contrib/hgf/win32/win32.ch
     some defines added

   * harbour/contrib/hgf/win32/makefile.bc
     module edit.prg added

   * harbour/contrib/hgf/win32/button.prg
     Some defines moved to win32.ch

   * harbour/contrib/hgf/win32/edit.prg
     Class HBEdit

   * harbour/contrib/hgf/tests/testctrl.prg
     HBEdit control test added

2001-09-08 00:01 UTC-0800 Brian Hays <bhays@abacuslaw.com>
   * hb_slex.bat
   * make_b32.bat
   * makefile.bc
     * integrated simplex instructions into makefile.bc

2001-09-07 13:06 GMT+1 Antonio Linares <alinares@fivetech.com>

   - harbour/contrib/hgf/win32/tform.prg
   + harbour/contrib/hgf/win32/form.prg
     tform.prg renamed as form.prg

   - harbour/contrib/hgf/win32/tmenu.prg
   + harbour/contrib/hgf/win32/menu.prg
     tmenu.prg renamed as menu.prg

   + harbour/contrib/hgf/win32/win32.ch
     Win32.ch constants definitions header file

   + harbour/contrib/hgf/win32/winctrl.prg
     Class HBWinControl

   + harbour/contrib/hgf/win32/button.prg
     Class HBButton

   * harbour/contrib/hgf/win32/makefile.bc
     updated

   + harbour/contrib/hgf/tests/testctrl.prg
     Testing Harbour GUI framework controls

   * harbour/contrib/hgf/win32/win32.c
     Some fixes and a new function ShowWindow() added

   * harbour/contrib/hgf/win32/menuitem.prg
     "T" Classes prefix changed into "HB"

   * harbour/contrib/hgf/tests/testform.prg
   * harbour/contrib/hgf/tests/formtext.prg
   * harbour/contrib/hgf/tests/form3res.prg
   * harbour/contrib/hgf/tests/form3.prg
   * harbour/contrib/hgf/tests/form2.prg
     "T" Classes prefix changed into "HB"

   * harbour/contrib/hgf/tests/form.hbf
     some minor changes

   * harbour/contrib/hgf/tests/build_b32.bat
     some minor fixes

2001-09-07 09:13 GMT Dave Pearson <davep@davep.org>
   * doc/readme.txt
      * Updated the pointer to dirstruc.txt (I'd committed the wrong
        version of the file last time, Doh!).

2001-09-07 08:40 GMT Dave Pearson <davep@davep.org>
   * doc/readme.txt
      * Added a pointer to dirstruc.txt.
   * doc/dirstruc.txt
      * Minor additions and corrections.

2001-09-06 21:20 GMT -3 Luiz Rafael Culik <culik@sl.conex.net>
   *makefile.vc
    hb_slex.vc
      * Renable build of hbrun by adding winspool.lib to LIB2 macro

2001-09-06 22:55 GMT +1 JFL (mafact) <jfl@mafact.com>
   * harbour/source/vm/classes.c
      __ObjSendMsg( Object, Message, xpar1, xparN )
      Now generates a MessageNotfound error in case of unknow message sended

2001-09-06 22:20 GMT +1 JFL (mafact) <jfl@mafact.com>
   * harbour/hb_slex.vc
      synch. with hb_slex.bc
   * harbour/makefile.vc
      synch. with makefile.bc
   * harbour/source/rtl/isprint.c
      alloc.h => malloc.h
      LPSTR => LPBYTE

2001-09-06 14:50 GMT+1 Antonio Linares <alinares@fivetech.com>
   * harbour/source/rtl/persist.prg
     added methods LoadFromText() and LoadFromFile()

   * harbour/contrib/hgf/tests/form3.prg
     Added OnClick assignment test

   * harbour/contrib/hgf/tests/form3.hbf
     Added saved form OnClick property

   * harbour/contrib/hgf/tests/form3res.prg
     Loading persistence files at runtime sample

2001-09-06 14:39 UTC+0300 Chen Kedem <niki@actcom.co.il>
   + doc/dirstruc.txt
     * add a document which list Harbour directory structure

2001-09-06 09:34 GMT+1 Antonio Linares <alinares@fivetech.com>
   * harbour/source/rtl/persist.prg
     Method CreateNew() added

2001-09-05 22:45 UTC-0800 Brian Hays <bhays@abacuslaw.com>
   * makefile.bc
   * hb_slex.bc
     * added defaults for ECHO and DEL macros so the make files are
       not dependent upon definitions in
         make_b32.bat and/or b32_slex.bat.

2001-09-05 11:25 UTC-0800 Brian Hays <bhays@abacuslaw.com>
   * b32_slex.bat
   * make_b32.bat
      + Added default setting for $(DEL) and $(ECHO).

   * makefile.bc
      + Added macros $(DEL) and $(ECHO) to allow needed redefinition under
         Win2K/Xp
   * hb_slex.bc
      * Synched with makefile.bc

   * source/compiler/harbour.slx
      * Removed unused piece of code in
   * source/compiler/simplex.c
      * changed two HB_SYMBOL_UNUSED() to (void) (to not use
            external macros in core simplex).


2001-09-05 12:24 GMT+1 Antonio Linares <alinares@fivetech.com>

   * harbour/source/rtl/persist.prg
     TPersistent renamed as HBPersistent

   * harbour/contrib/hgf/win32/tform.prg
     TPersistent changed for HBPersistent

   * harbour/contrib/hgf/win32/tmenu.prg
     TPersistent changed for HBPersistent

   * harbour/contrib/hgf/win32/menuitem.prg
     TPersistent changed for HBPersistent

2001-09-05 11:53 GMT+1 Antonio Linares <alinares@fivetech.com>

 * harbour/source/rtl/persist.prg
     Some changes as per Dave's proposal.

   * harbour/contrib/hgf/tests/testform.prg
     Some minor changes

   * harbour/contrib/hgf/tests/formtext.prg
     Some minor changes

2001-09-05 07:53 GMT Dave Pearson <davep@davep.org>
  * source/rtl/Makefile
    * Added perfuncs.prg to PRG_SOURCES.

2001-09-05 09:00 GMT+1 Antonio Linares <alinares@fivetech.com>

   + harbour/include/hbpers.ch
     Harbour persistence commands

   + harbour/source/rtl/perfuncs.prg
     Harbour persistence commands support functions

   * harbour/source/rtl/persist.prg
     HB_DToS() replaced by DToS()

   * harbour/makefile.bc
     perfuncs.prg module added

   + harbour/contrib/hgf/tests/form3.prg
     Sample of use of persistence files to build a form

   + harbour/contrib/hgf/tests/form3.hbf
     HGF form persistence file sample

2001-09-05 07:37 GMT+1 Antonio Linares <alinares@fivetech.com>
   * harbour/source/rtl/persist.prg
     HB_STOD() and HB_DTOS() use for dates management

2001-09-05 07:00 GMT+1 Antonio Linares <alinares@fivetech.com>
   * harbour/contrib/hgf/win32/tform.prg
     Property OnClick added and WM_LBUTTONDOWN msgs properly routed

   * harbour/contrib/hgf/tests/formtext.prg
     form OnClick property tested ok

2001-09-05 06:42 GMT+1 Antonio Linares <alinares@fivetech.com>
   * harbour/contrib/hgf/win32/tform.prg
     Added new properties Top, Left, Height and Width.

   * harbour/contrib/hgf/win32/win32.c
     Added new functions WinGetTop(), WinSetTop(), WinGetLeft(), WinSetLeft(),
     WinGetHeight(), WinSetHeight(), WinGetWidth(), WinSetWidth().

     HB_PM_SHOWMODAL renamed as HB_FORMSHOWMODAL.

2001-09-02 16:15 GMT -3 Luiz Rafael Culik<culik@sl.conex.net>
    * source/rtl/isprint.c
      * Replaced HB_OS_WIN_32_USED with HB_OS_WIN_32

2001-09-04 22:50 GMT +1 JFL (mafact) <jfl@mafact.com>
   * harbour\include\hbclass.ch
     Improved support for PERSISTENT keyword (ACCESS and SETGET)
   * harbour\source\rtl\tobject.prg
     added two methods ...
        (xBase++)  ISDERIVEDFROM
        (Class(y)) ISKINDOF

2001-09-04 16:06 GMT+1 Antonio Linares <alinares@fivetech.com>
   * harbour/source/rtl/persist.prg
     oNew use fixed. Some formating fixes implemented also.

2001-09-04 11:50 GMT+1 Antonio Linares <alinares@fivetech.com>
   * harbour/contrib/hgf/win32/win32.c
     events routing implemented

   * harbour/contrib/hgf/win32/tmenu.prg
     inheritance from TPersistent implemented

   * harbour/contrib/hgf/win32/tform.prg
     events routing implemented. Inheritance from TPersistent implemented.

   * harbour/contrib/hgf/tests/form2.prg
     some little changes to test events routing

   + harbour/contrib/hgf/tests/formtext.prg
     testing forms view as text based on persistence

2001-09-04 11:30 GMT+1 Antonio Linares <alinares@fivetech.com>
   * harbour/source/rtl/persist.prg
     some improvements for arrays

   * harbour/tests/testpers.prg
     some improvements for testing nested arrays

2001-09-04 08:41 GMT+2 Maurilio Longo <maurilio.longo@libero.it>
   * contrib/hgf/os2pm/*
     ! fixed menu items handling under OS/2 where you cannot change a MIS_TEXT into
       a MIS_SUBMENU without first deleting MIS_TEXT and then inserting MIS_SUBMENU

2001-09-03 17:19 GMT Dave Pearson <davep@davep.org>
  * source/rtl/Makefile
    * Added persist.prg to PRG_SOURCES.

2001-09-03 16:56 GMT Dave Pearson <davep@davep.org>
  * source/rtl/isprint.c
    * Added missing comment close.

2001-09-03 11:30 GMT+1 Antonio Linares <alinares@fivetech.com>
  + harbour/contrib/hgf/gtk/makefile
  + harbour/contrib/hgf/gtk/creamenu.c
  + harbour/contrib/hgf/gtk/creawin.c
  + harbour/contrib/hgf/gtk/harbgtk.ch
  + harbour/contrib/hgf/gtk/shared.ch
  + harbour/contrib/hgf/gtk/harbgtk.h
  + harbour/contrib/hgf/gtk/menuitem.prg
  + harbour/contrib/hgf/gtk/tform.prg
  + harbour/contrib/hgf/gtk/tmenu.prg
    HGF GTK support by Marek Paliwoda

2001-09-02 21:30 GMT+1 Antonio Linares <alinares@fivetech.com>
  + harbour/source/rtl/persist.prg
    arrays support started

2001-09-02 19:30 GMT+1 Antonio Linares <alinares@fivetech.com>
  + harbour/source/rtl/persist.prg
    Class TPersistent to implement objects persistence

  + harbour/tests/testpers.prg
    objects persistence sample using Class TPersistent objects

  * harbour/makefile.bc
    persist.prg module added to Borland makefile.
    Notice that other makefiles should be updated

2001-09-02 18:32 GMT+1 Antonio Linares <alinares@fivetech.com>
  * harbour/source/vm/classes.c
    New function __ClsGetProperties() added. Syntax:
    __ClsGetProperties( <nClassHandle> ) --> <aPropertiesNames>

2001-09-02 13:10 GMT -3 Luiz Rafael Culik<culik@sl.conex.net>
    * source/rtl/isprint.c
      * Added code for win32 platform

2001-09-02 14:20 GMT+1 Antonio Linares <alinares@fivetech.com>
  * harbour/source/vm/classes.c
    Added BOOL bIsPersistent to the METHOD structure
    (notice that both datas and methods use that structure)

  * harbour/source/rtl/tclass.prg
    Added lPersistent parameter to AddMultiData, AddData and
    AddInline methods.

  * harbour/include/hboo.ch
    Added new defines HB_OO_DATA_PERSISTENT and HB_OO_MTHD_PERSISTENT

  * harbour/include/hbclass.ch
    Added new clause PERSISTENT or PROPERTY to both datas and methods.

2001-09-01 19:00 GMT+1 Antonio Linares <alinares@fivetech.com>
  * harbour/contrib/hgf/win32/tmenu.prg
    METHOD FindItem( nId ) added

  * harbour/contrib/hgf/win32/tmenuitm.prg
    METHOD FindItem( nId ) added

2001-09-01 09:00 GMT+1 Antonio Linares <alinares@fivetech.com>
  + harbour/contrib/hgf/win32/tests/form2.prg
    Harbour Class TForm inheritance sample

2001-09-01 08:35 GMT+1 Antonio Linares <alinares@fivetech.com>

  + harbour/contrib/hgf/win32/make_b32.bat
    batch file to invoke the
    makefile for Harbour GUI framework Win32 using Borland C compiler

  + harbour/contrib/hgf/win32/makefile.bc
    makefile for Harbour GUI framework Win32 using Borland C compiler

  * harbour/contrib/hgf/win32/win32.c
  * harbour/contrib/hgf/win32/tform.prg
  * harbour/contrib/hgf/win32/tmenu.prg
  * harbour/contrib/hgf/win32/tmenuitm.prg
    some minor fixes

  + harbour/contrib/hgf/win32/tests/build_b32.bc
    batch file to build Harbour GUI framework for Win32 tests

  + harbour/contrib/hgf/win32/tests/testform.prg
    Harbour GUI framework for Win32 TestForm.prg sample

2001-08-31 14:30 UTC-0400 David G. Holm <dholm@jsd-llc.com>

  * config/os2/icc.cf
  * source/vm/Makefile
    * Build and use mainstd.c for OS/2 instead of main.c in order
      to avoid the main.c build dependencies.

    Note to builders of OS/2 binary distributions: Please be
    sure to include both the mainstd and mainpm object files!

2001-08-31 12:15 GMT+1 Ignacio Ortiz <ignacio@fivetech.com>
   * source/bin/bld.bat
   * source/include/extend.api
   * source/include/clipdefs.h
   * source/tests/testget.prg
     * Return to previous revision due a mistake in last CVS process

2001-08-31 11:32 GMT+1 Antonio Linares <alinares@fivetech.com>
   + harbour/source/vm/mainlgtk.c
     Added Marek Paliwoda's Linux GTK application entry point

2001-08-28 21:10 GMT -3 Luiz Rafael Culik <culik@sl.conex.net>
   * added #include "dir.h" inside platform tags

2001-08-30 16:30 UTC-0400 David G. Holm <dholm@jsd-llc.com>

  * config/os2/gcc.cf
  * config/os2/icc.cf
    + Automatically deal with different linker requirements for
      Presentation Manager programs and VIO programs.

  * contrib/hgf/os2/os2pm.c
    ! Removed hWndFrame variable from HB_FUNC( WINCREATESTDWINDOW ),
      because it isn't needed and causes problems in C++ mode.

  * doc/gmake.txt
    + Added mention of w32/bcc32.
    + Added mention of os2/gcc and os2/icc with the new os2pm.

  * source/vm/Makefile
    ! Always build both main and mainpm for OS/2 builds, because
      the choice of which to use is a program link-time choice,
      not a Harbour build-time choice.

2001-08-30 19:00 GMT+1 Ignacio Ortiz <ignacio@fivetech.com>
   * source/rtl/memoline.c
   * source/rtl/mlcount.c
   * source/rtl/tget.prg
   * source/rtl/transfrm.c
     * Return to previous revision due a mistake in last CVS process

2001-08-30 15:38 GMT Dave Pearson <davep@davep.org>
   * source/rtl/Makefile
     * Added mlctopos.c and mpostolc.c to C_SOURCES.

2001-08-30 15:03 GMT+2 Maurilio Longo <maurilio.longo@libero.it>
   * contrib/hgf/os2pm/*
     * changed to add client window repainting capabilities.

2001-08-30 13:15 GMT+1 Ignacio Ortiz <ignacio@fivetech.com>
   + source/rtl/mlctopos.c
   + source/rtl/mpostolc.c
     * The last two memo Standard Clipper functions missing
   * makefile.bc
     * To include the two files. Please someone check other make files
   * source/rtl/dummy.prg
     * removed mlctopos and mpostolc dummy functions
   * doc/funclist.txt
     * change state to ready for mpostolc and mlctopos

2001-08-30 09:31 GMT+2 Maurilio Longo <maurilio.longo@libero.it>
   * contrib/hgf/os2pm/Makefile
     * Corrected because now subdir is one level deeper than it was before

2001-08-30 09:31 GMT+2 Maurilio Longo <maurilio.longo@libero.it>
   * contrib/os2pm/*.*
     - removed all files
   + contrib/hgf/os2pm
   + contrib/hgf/os2pm/os2pm.c
   + contrib/hgf/os2pm/tform.prg
   + contrib/hgf/os2pm/os2pm.ch
   + contrib/hgf/os2pm/tmenu.prg
   + contrib/hgf/os2pm/tmenuitm.prg
   + contrib/hgf/os2pm/Makefile
     + added all files for IBM OS/2 version of HGF

2001-08-28 21:10 GMT -3 Luiz Rafael Culik <culik@sl.conex.net>
   + contrib/libct/files.c
     * CT3 compatible functions for Fileattr,fileseek,filedate,filetime,setfattr
   + contrib/libct/temper.c
     * CT3 compatible functions Celcius e Fahrenheit
   *contrib/libct/Makefile
      Added temper.c and files.c

2001-08-28 19:21 GMT+2 Maurilio Longo <maurilio.longo@libero.it>
   * contrib/os2pm/*.*
     * changes to every file to add menu creation capabilities

2001-08-27 20:50 GMT -3 Luiz Rafael Culik <culik@sl.conex.net>
   *utils/hbmake/hbmake.prg
     * Fixes related to path finding to Apps(C compiler and harbour.exe)
     * Small fix for hbmake library mode for linux(the generated make file)

2001-08-27 18:10 GMT+3 Alexander Kresin <alex@belacy.belgorod.su>
   + contrib/hgf/win32
     * New directory added
   + contrib/hgf/win32/win32.c
     * Win32 GUI layer
   + contrib/hgf/win32/tform.prg
   + contrib/hgf/win32/tmenu.prg
   + contrib/hgf/win32/tmenuitm.prg
     * copied from contrib/os2pm with minor changes

2001-08-25 03:05 UTC-0800 Brian Hays <bhays@abacuslaw.com>
   * contrib/dot/pp.prg
      * added note: This is being expanded independently from Harbour
         at this Sourceforge project:
        http://sourceforge.net/projects/xbase-script

   * source/compiler/harbour.sly
      * copied Ryszard's last fix to harbour.y

2001-08-24 22:15 GMT -3 Luiz Rafael Culik <culik@sl.conex.net>
   +source/rtl/pushbtn.prg
      *Push Button Class Compatible with Ca-Clipper 5.3
   *hb_slex.bc
    makefile.bc
    hb_slex.vc
    makefile.vc
    source/rtl/makefile
      *Added pushbtn.prg to dependencie list
   *include/hbgetcmt.ch
      *Added Command for creating push buttons

2001-08-24 23:40 GMT+2 Maurilio Longo <maurilio.longo@libero.it>
   + contrib/os2pm/tmenu.prg
   + contrib/os2pm/tmenuitm.prg
     + added
   * contrib/os2pm/tform.prg
   * contrib/os2pm/os2pm.c
     + added harbour licence and new methods and support functions

2001-08-24 16:40 GMT+2 Maurilio Longo <maurilio.longo@libero.it>
   * contrib/os2pm/os2pm.c
     * moved here functions from mainpm.c
   * * contrib/os2pm/tform.prg
     + added new methods
   * source/vm/mainpm.c
     - removed a couple of helper functions which belong to os2pm.c

2001-08-24 16:03 GMT+2 Maurilio Longo <maurilio.longo@libero.it>
   + contrib/os2pm
   + contrib/os2pm/os2pm.c
   + contrib/os2pm/tform.prg
   + contrib/os2pm/os2pm.ch
   + contrib/os2pm/Makefile
     + added files of an early implementation of a generic GUI
       framework for harbour. At present time they work only under OS/2 PM

2001-08-23 23:18 GMT Dave Pearson <davep@davep.org>
   * source/rtl/profiler.prg
     * Minor tidy-up of a couple of comments.
   * tests/testprof.org
     * Updated to test the various reporting classes.

2001-08-23 22:51 GMT Dave Pearson <davep@davep.org>
   * doc/readme.txt
     * Cut down to a bare minimum. Most of the information in there was
       out of date. The document now simply states the aim of harbour,
       points the reader at the web site and the FAQ and reminds them that
       they'll find copious documentation in the same place that they
       found the README file.

2001-08-23 23:13 GMT+2 Maurilio Longo <maurilio.longo@libero.it>
   * source/vm/Makefile
     + if HB_GT_LIB == os2pm then compiles mainpm.c instead of main.c
   * source/vm/mainpm.c
     * little changes to make it work.

   NOTE: after gcc creates an executable file you need to issue an:
            emxbind -ep filename.exe
         to mark it as a PM executable, failing to do so the executable file is a
         VIO one and all calls to WinXxx() functions will fail

2001-08-23 16:43 GMT+2 Maurilio Longo <maurilio.longo@libero.it>
   + source/vm/mainpm.c
     + added mainpm.c entry point for OS/2 Presentation Manager applications
       based on FiveWin GUI library

2001-08-23 14:22 GMT+2 Maurilio Longo <maurilio.longo@libero.it>
   * source/rtl/tbrowse.prg
     * changed/optimized ::DispCell() and ::RedrawHeaders() methods. A little
       faster now.

2001-08-22 17:01 GMT Dave Pearson <davep@davep.org>
  * source/rtl/gtcrs/gtcrs.c
    * Fixed incorrectly named variable (uRow -> Row) in hb_gt_VertLine().

2001-08-22 12:45 UTC-0400 David G. Holm <dholm@jsd-llc.com>

  * source/rtl/gtcgi/gtcgi.c
  * source/rtl/gtcrs/gtcrs.c
  * source/rtl/gtdos/gtdos.c
  * source/rtl/gtos2/gtos2.c
  * source/rtl/gtpca/gtpca.c
  * source/rtl/gtsln/gtsln.c
  * source/rtl/gtstd/gtstd.c
  * source/rtl/gtwin/gtwin.c
    ! I forgot the comment style rule and had used two // style
      comments in each GT module. They now use the /* */ style.
      (I also converted a couple of other // style comments in
      gtstd to the /* */ style).

2001-08-22 01:42 GMT+2 Maurilio Longo <maurilio.longo@libero.it>
   * source/rtl/tbrowse.prg
     * now that DispBox() works as expected I can use it even for 1 line headers/
       footers inside ::RedrawHeaders()

2001-08-22 01:25 GMT+2 Maurilio Longo <maurilio.longo@libero.it>
   * source/rtl/gtos2.c
     + Driver tries to set codepage 437 on startup. Needed by box drawing functions
     * hb_gt_isColor(), hb_gt_GetScreenWidth(), hb_gt_GetScreenHeight(),
       hb_gt_GetCellSize() now are faster since use a static VIDEOMODEINFO variable
       and this variable should be tilable.
     ! hb_gt_xPutch(), hb_gt_Replicate() and hb_gt_Box() were simply broken

     NOTE: Never call hb_gt_DispBegin()/hb_gt_DispEnd() from inside gtos2.c
           if you do you'll slow down everything and you will not respect harbour level
           DispBegin()/DispEnd() calls.

2001-08-21 16:45 UTC-0400 David G. Holm <dholm@jsd-llc.com>

  * source/rtl/gtcgi/gtcgi.c
  * source/rtl/gtcrs/gtcrs.c
  * source/rtl/gtdos/gtdos.c
  * source/rtl/gtos2/gtos2.c
  * source/rtl/gtpca/gtpca.c
  * source/rtl/gtsln/gtsln.c
  * source/rtl/gtstd/gtstd.c
  * source/rtl/gtwin/gtwin.c
    ! Bug fix for box clipping at right screen edge.
    + Minor optimizations for detecting box clipping at right and
      bottom screen edges.

2001-08-21 14:35 UTC-0400 David G. Holm <dholm@jsd-llc.com>
  * source/rtl/gtcrs/gtcrs.c
    * Renamed uRow variable to Row in hb_gt_VertLine(), to match the
      name in the other GT libraries and because it is not unsigned.

2001-08-21 08:30 GMT Dave Pearson <davep@davep.org>
   * source/compiler/gencobj.c
      * Fixed bugs 453424 (compiler core dumps on GNU/Linux when no
      harbour.cfg can be found) and 453425 (an empty harbour.cfg fails to
      correctly report that no compiler command has been specified.

2001-08-21 01:30 UTC-0800 Brian Hays <bhays@abacuslaw.com>
   * contrib/libgt/bitflags.c
      added the cvs header
   + todo.txt
      first stab at a todo list

2001-08-20 11:55 UTC-0800 Brian Hays <bhays@abacuslaw.com>

   * contrib/rdd_ads/ads1.c
      * fixed subIndexing.
      * optimized DBI_GETLOCKARRAY and fixed memory leak
      * adsOrderListFocus() failed on space-padded strings
      * adsGoTo: if on same record, refresh. Fixed issues that arose
         from minor bugs in ADS when using relations in versions
         prior to 6.1
      * adsAppend() added error handling
      * fixed file lock/unlock, and record locking to support
         dbrlock lock list maintenance (and memory leak when
         no recno was passed to dbrlock())

   * contrib/rdd_ads/adsfunc.c
      * adssetServerType now returns any error numbers
      + added AdsRefreshRecord, AdsIsTableLocked, AdsIsRecordLocked

   * source/rdd/dbcmd.c
      * Set NetErr flag to True for failed dbAppend()
      * fixed ordCondSet parameters. See pptable.c below.

   + contrib/libgt/bitflags.c
      + Dave Pearson's bitflags.c, which I ported to Harbour.
        Has functions to use a Harbour string for storing On/Off
        bit flags.

   * contrib/libgt/doc/en/ht_gt.txt
      + added docs from Dave Pearson's bitflags.c

   * source/pp/pptable.c
      * Alexander Kresin's fix for 5.3 compatible parameters
      for INDEX ON and ordCondSet().
      WARNING! IF you had hard-coded calls to this function,
      and used any parameters after the 11th one,
      you have to change your code! Or, if you have a header
      that translates INDEX ON for clauses USECURRENT, ADDITIVE,
      CUSTOM or NOOPTIMIZE, these parameters are shifted back
      now.
      The parameter list was incorrectly handled before because
      of the 12th parameter that is always NIL.
      See Harbour Archives, subject "XINDEX warning" for details

2001-08-21 06:47 GMT Dave Pearson <davep@davep.org>
  * source/rtl/gtcrs/gtcrs.c
    * Fixed incorrectly named variable (Row -> uRow) in hb_gt_VertLine().

2001-08-20 23:35 UTC-0400 David G. Holm <dholm@jsd-llc.com>

  * include/hbapigt.h
  * source/rtl/gtapi.c
  * source/rtl/gt_tpl/gt_tpl.c
  * source/rtl/gtcgi/gtcgi.c
  * source/rtl/gtcrs/gtcrs.c
  * source/rtl/gtdos/gtdos.c
  * source/rtl/gtos2/gtos2.c
  * source/rtl/gtpca/gtpca.c
  * source/rtl/gtsln/gtsln.c
  * source/rtl/gtstd/gtstd.c
  * source/rtl/gtwin/gtwin.c
    * Changed all row and column parameters for the box and line drawing
      functions from USHORT to SHORT.
    - Removed all box and line drawing boundary checks from gtapi.c
    + Added the appropriate box and line boundary checks to the various
      GT API library sources to properly implement clipping.

2001-08-20 23:30 UTC-0400 David G. Holm <dholm@jsd-llc.com>

  * source/rtl/set.c
    ! Synchronize SET CENTURY with SET DATE FORMAT.

2001-08-20 20:15 GMT -3 Luiz Rafael Culik <culik@sl.conex.net>
   *utils/hbmake/hbmake.prg
      *fixed some problem on library edit mode

2001-08-20 22:20 GMT +1 JFL (mafact) <jfl@mafact.com>
   harbour/source/vm/hvm.c
    * reversed my previous modif till I have it working :-(
   harbour/source/vm/classes.c
    * reversed my previous modif till I have it working :-(

2001-08-20 17:45 UTC+0100 Ryszard Glab <rglab@imid.med.pl>
    *include/hbexprb.c
    *source/compiler/exproptb.c
    *source/compiler/genc.c
    *source/compiler/hbpcode.c
        * fixed bug in "&macro" and &macro() syntax

2001-08-20 14:02 GMT Dave Pearson <davep@davep.org>
   * config/test.cf
     * Added an empty "install:" target.

2001-08-19 23:30 GMT +1 JFL (mafact) <jfl@mafact.com>
   harbour/include/hbapi.h
    * changed structure of _HB_BASEARRAY (puiClsTree)
    *         suppressed uiClsTree not anymore needed
   harbour/source/vm/arrays.c
    * modified ArrayRelease() to handle the release of puiClsTree pointer
   harbour/source/vm/classes.c
    * Changed the way MsgSuper() return a Super Object.
      Now ::Super(::nX) is allowed
          ::Super:Classname() return the superClassName.
    * Added some code to check or validate puiClsTree
    * improved validation of scoping
   harbour/source/vm/hvm.c
    * Changed vmdo as vmsend to handle the new SuperObject

2001-08-19 10:50 GMT -3 Luiz Rafael Culik <culik@sl.conex.net>
   *source/rdd/rddord.prg
     *Mapped functions to 10 character for ORDLISTCLE(),ORDLISTREB(),ORDSETFOCU()

2001-08-19 10:40 GMT -3 Luiz Rafael Culik <culik@sl.conex.net>
   +source/rdd/dbfuncs.prg
     * Code for Ca-Clipper MApper DB function to 10 characters
     The follow functions were mapped:
     DBCLEARFIL(),DBSETDRIVE(),DBSETRELAT(),DBRLOCKLIS(),DBCLOSEARE()
     RDDSETDEFA(),DBSELECTAR(),DBUNLOCKAL(),DBCLEARREL(),DBSETFILTE()
     DBFIELDINF(),DBORDERINF(),DBRECORDIN()
   *makefile.bc
    makefile.vc
    hb_slex.bc
    hbslex.vc
    source/rdd/Makefile
      * Added dbfuncs.prg to depedence list
2001-08-18 17:00 MEST Martin Vogel <vogel@inttec.de>

   * contrib/libct/range.c
   * contrib/libct/wordtoch.c
     * small changes to remove warnings on linux/gcc.

2001-08-18 16:45 MEST Martin Vogel <vogel@inttec.de>

   + contrib/libct/numat.c
     + NUMAT() function
   + contrib/libct/pad.c
     + PADLEFT(), PADRIGHT() functions
   + contrib/libct/range.c
     + RANGEREM(), RANGEREPL() functions
   + contrib/libct/remove.c
     + REMALL(), REMLEFT(), REMRIGHT() functions
   + contrib/libct/replace.c
     + REPLALL(), REPLLEFT(), REPLRIGHT() functions
   + contrib/libct/strswap.c
     + STRSWAP() function
   + contrib/libct/wordtoch.c
     + WORDTOCH() function

   * contrib/libct/Makefile
   * contrib/libct/makefile.bc
   * contrib/libct/makefile.vc
     + numat.c, pad.c, range.c, remove.c, replace.c,
       strswap.c and wordtoch.c added

   * contrib/libct/ctflist.txt
     * function status updated

2001-08-17 22:15 GMT -3 Luiz Rafael Culik<culik@sl.conex.net>
    *source/compiler/gencobj.c
      *added conditional for _MSC_VER when checking if harbour -o is used

2001-08-17 18:10 UTC-0400 David G. Holm <dholm@jsd-llc.com>

  * doc/en/hb_set.txt
  * include/hbset.h
  * source/rtl/set.h
    + Added a primitive SET listener API.

2001-08-18 00:11 GMT+2 Maurilio Longo <maurilio.longo@libero.it>
   * source/rtl/tbrowse.prg
   * source/rtl/tbcolumn.prg
     + Added multi-line column header/footer support to TBrowse

2001-08-17 16:10 UTC-0400 David G. Holm <dholm@jsd-llc.com>

  Update from "Fergus McDonald" <listsub@qvolution.com>:

  * source/rtl/gtstd/gtstd.c
  * tests/gtstdtst.c
    + Added conditional functionality for MS C compiler to use io and
      conio libs to map stdin in the same manner as already implemented
      for unix version (i.e. no blocking). That is, if stdin is coming
      from console, inkey() returns 0 if no key waiting, and if stdin is
      coming from a file, inkey() returns each char of file and then
      always returns 0 once EOF is reached.

2001-08-17 20:15 UTC+0100 Ryszard Glab <rglab@imid.med.pl>

    *doc/en/compiler.txt
    *source/compiler/hbusage.c
        *updated to keep current state of compiler switches

    *include/hbexprc.c
        *fixed support for "&macro" syntax (macro was not expanded in
        cases: "&macro.&(macro)"

    *include/hbapi.h
    *include/hbexprb.c
    *source/vm/hvm.c
    *source/vm/macro.c
        *optimized support for compile time switches synchronization

    *source/compiler/harbour.y
        *fixed support for #line directive


2001-08-17 15:09 GMT+2 Maurilio Longo <maurilio.longo@libero.it>
   * source/rtl/tbrowse.prg
     ! fixed ::DispCell() cursor positioning (broken with latest changes to
       implement picture handling)
     * changed ::autolite handling
     ! fixed ::GoBottom() method which was not repainting TBrowse correctly if
       available records were less than available rows.

2001-08-16 16:30 UTC-0400 David G. Holm <dholm@jsd-llc.com>

  * source/pp/pptable.c
    + Added a translation for SET EVENTMASK TO <nEventMask>
      to SET(_SET_EVENTMASK,<nEventMask>)

2001-08-14 23:53 GMT+1 Patrick Mast <harbour@PatrickMast.com>
   * contrib/tprepro/tprepro.prg
     * Bug fix in TranslateFile() method

2001-08-13 23:18 GMT+3 Alexander Kresin <alex@belacy.belgorod.su>
  * source/vm/mainwin.c
    * added hInstance assignment to hb_hInstance

2001-08-11 22:45 GMT -3 Luiz Rafael Culik <culik@sl.conex.net>
  * include/hbextern.ch
    * removed extern declaration for ALTD() function
  * source/rtl/tbrowse.prg
    * Added support for Autolite = .f. (I hope this is the right fix)
2001-08-11 08:40 GMT -3 Luiz Rafael Culik <culik@sl.conex.net>
  *tests/testbrw.prg
    * updated to show the use of pictures with tbrowse
  *include/hbextern.ch
    * added some missing extern declaration

2001-08-10 13:30 UTC-0400 David G. Holm <dholm@jsd-llc.com>

  * source/rtl/dbdelim.prg
  * source/rtl/dbsdf.prg
    + Added a run time error (9999, Operation not supported) when
      trying to use APPEND FROM DELIMITED or APPEND FROM SDF, with
      default allowed.

2001-08-10 12:15 UTC-0400 David G. Holm <dholm@jsd-llc.com>

  * source/vm/extend.c
    Submitted by Ricardo Ramirez R. <rramirez@crownlitometal.com>
    ! Allow hb_stor... functions to store to arrays passed by reference

2001-08-09 20:45 UTC-0800 Ron Pinkas <ron@profit-master.com>
   * contrib/dot/pp.prg
     * Corrected logic for closing ppo output file.

2001-08-09 17:45 UTC-0800 Ron Pinkas <ron@profit-master.com>
   * source/compiler/harbour.c
     * Minor correction to handling of HB_FS_FIRST

   * source/vm/hvm.c
     * Added extern "C" protection to hb_macroAutoSetMacro() declaration.

2001-08-08 15:30 UTC-0400 David G. Holm <dholm@jsd-llc.com>

  * tests/gtstdtst.prg
      Submitted by "Fergus McDonald" <listsub@qvolution.com>
   + New test module for GTSTD terminal driver.

  * source/rtl/gtstd/gtstd.c
      Submitted by "Fergus McDonald" <listsub@qvolution.com>
    ! changed some internal char * items to BYTE * to better match
      external functions
    ! Max row/col is 24/80 for unix compatible (would be better to
      do this for all)
    ! ReadKey implementation for unix compatible OS: ch value wasn't
      been initialised and only least-significant byte being set by
      fread() - upper byte of the int value was random, leading to
      spurious ReadKey return values
    ! Fixed missing/extra outputting of newline character in SetPos
      and Scroll functions
    ! Added use of backspace char to respond to leftward cursor
      repositioning requests
    ! Added output of BEL character for tone() calls, with tracking
      of system time to limit BEL outputs to 1 per second max

    I've only tested this under GNU/linux and gcc. The ReadKey is still
    only implemented for UNIX_COMPATIBLE_OS.

    Redirection of stdin/stdout still works ok. To preserve the ability
    to accept redirected stdin, I think maeans there should never be
    remapping of any keycodes in this driver. Would be nice to have a
    way to pass in ALT-C though.

2001-08-09 02:30 UTC-0800 Ron Pinkas <ron@profit-master.com>
   * source/vm/macro.c
   * include/hbcomp.h
   * include/hbexprb.c
   * include/hbexprc.c
   * include/hbmacro.h
   * include/hbmsetup.h
   * include/set.ch
   * source/compiler/cmdcheck.c
   * source/compiler/genc.c
   * source/compiler/harbour.c
   * source/compiler/hbpcode.c
   * source/rdd/dblist.prg
   * source/vm/hvm.c
     - Removed support for syncing of macro setting with main module.
     - Removed support for -ks which is replaced with -kr.
     + Added default logic to auto symchronize all macro activations with the compile time switches of each respective module.
     + Added -kr to disable auto synching, thus allowing Run-Time setting by means of HB_SETMACRO().

2001-08-09 00:07 GMT+2 Maurilio Longo <maurilio.longo@libero.it>
   * source/rtl/seconds.c
     * changed HB_CLOKS2SECS to make it return a double (like Seconds()) this way
       profiler is able to show not only seconds spent inside a function but even
       tenths and hundredths.

2001-08-08 23:52 GMT+2 Maurilio Longo <maurilio.longo@libero.it>
   * include/hbvmpub.h
   * source/vm/classes.c
   * source/vm/hvm.c
   * source/vm/dynsym.c
     ! Fixed profiler counting of time elapsed inside recursive functions. It still has to
       be fixed for methods.
       NOTE: My knowledge of harbour VM is very poor. I hope I didn't break anything else :-))
     ! Fixed a few warnings inside hb_vmDo() and hb_vmSend()
   * source/vm/arrayshb.c
     ! Fixed isalnum() call on line 359, isalnum() requires an int

2001-08-07 17:40 UTC-0800 Ron Pinkas <ron@profit-master.com>
   * doc/en/clipper.txt
     * Minor typo correction.

2001-08-07 23:11 GMT Dave Pearson <davep@davep.org>

  * doc/en/clipper.txt
    * Fixed a spelling mistake and added an ID tag.

2001-08-07 17:30 UTC-0400 David G. Holm <dholm@jsd-llc.com>

  * source/rtl.net.c
    ! The OS/2 version is only for GCC builds.

2001-08-07 13:45 UTC+0100 Ryszard Glab <rglab@imid.med.pl>

    * doc/en/compiler.txt
        *updated to keep current compiler state

    * include/hbcomp.h
    * source/compiler/cmdcheck.c
    * source/compiler/genc.c
    * source/compiler/harbour.c
    * source/compiler/hbusage.c
        * added a new switch -ks that request the synchronization of
        compile time and runtime options (enabled by default).
        Use -kc to disable it.

    * source/compiler/harbour.l
        * fixed bug when HB_INLINE is interpreted as an identifier
        (-ki option)


2001-08-07 01:10 UTC-0800 Ron Pinkas <ron@profit-master.com>
   + doc/en/clipper.txt
     + New file describing Harbour features that are different from Clipper.

   * include/hbpcode.h
     * Corrected typo in comment /* Thanks to Dave for info. */

2001-08-06 23:50 UTC-0800 Ron Pinkas <ron@profit-master.com>
   * source/compiler/harbour.c
     ! Corrected assigment of HB_FS_FIRST scope, for proper execution of first non INIT/EXIT procedure in main module.

   * source/compiler/genc.c
   * source/vm/hvm.c
     ! Improved sync logic of HB_SETMACRO() level, to only activate once per application before any prg level code is executed.

2001-08-06 20:50 UTC-0400 David G. Holm <dholm@jsd-llc.com>

  * source/rtl/math.c
    ! Added missing type override for hb_xgrab return value on line 99
      (type overrides are *mandatory* for hb_xgrab and hb_xrealloc, so
      that Harbour can be built using C++ compilers).

  * source/rtl/gtsln/gtsln.c
  * contrib/libct/ctstr.c
   ! Fixed typos causing compile errors with HB_TR_DEBUG and gcc. Case
     error in variable names in debug info calls (e.g. nstrLen instead
     of nStrLen). Fixed by "Fergus McDonald" <listsub@qvolution.com>

2001-08-06 20:30 GMT -3 Luiz Rafael Culik <culik@sl.conex.net>
   *source/rtl/tbrowse.prg
      * Fixed support to display pictures in TBrwose. Thanks for Manu Exposito <maex14@dipusevilha.es>

2001-08-06 09:15 UTC-0800 Ron Pinkas <ron@profit-master.com>
   * source/compiler/genc.c
     ! Improved sync logic of HB_SETMACRO() level, to only activate once per module with same level used by compiler.

2001-08-06 10:33 UTC+0300 Chen Kedem <niki@actcom.co.il>
   * doc/funclist.txt
     ! Fix excessive use of global replace forcing 'n' or 'N' into 'S'

   * doc/en/macro.txt
     - Remove "<file[.prg]>" from line #19 (Copy & Paste mistake)
     * Small formating

   * doc/en/var.txt
     + doc for __ISMV()

2001-08-05 18:00 GMT -3 Luiz RafaelCulik<culik@sl.conex.net>
   * doc/en/compiler.txt
     * Updated provided by Fergus McDonald

2001-08-05 12:15 UTC-0800 Ron Pinkas <ron@profit-master.com>
   + include/hbmsetup.h
   * include/hbmacro.h
     * Moved #defines of HB_SM_* to new file hbmsetup.h

   * source/compiler/harbour.c
   * source/vm/macro.c
   * source/compiler/genc.c
     + Added logic to automatically synchronize HB_SETMACRO() level with the -k option supplied to compiler.

     /* HB_SETMACRO() may still be called explictly, but now specifying any -k option to harbour will automatically provide same
       level of functionalty in macro compiler. Example:

           harbour test -kc

        will restrict the compiler to the Clipper level mode, and will automatically disable extended macro support in that module
        without requiring:

           HB_SETMACRO( HB_SM_HARBOUR, .F. )
           HB_SETMACRO( HB_SM_XBASE, .F. )

        By default all harbour extensions are enabled - you can use -kc, -kx -ki, etc., to disable any unwanted feature.

        We should still review the need to have -ki which I find absolutley redundant and unproductive.
     */

2001-08-05 22:58 GMT+3 Alexander Kresin <alex@belacy.belgorod.su>
  * source/vm/memvars.c
    + Two functions added: hb_memvarGetVarHandle() and hb_memvarGetValueByHandle()

2001-08-05 14:20 UTC+0100 Ryszard Glab <rglab@imid.med.pl>

    *include/hbcomp.h
    *source/compiler/cmdcheck.c
    *source/compiler/hbusage.c
        * added new command line switch: -ki
        * added new flag: HB_COMPFLAG_HB_INLINE
        This switch enables support for HB_INLINE syntax
        (by default it is disabled)
        * all options used with -k switch are letter case sensitive
        * -kc (Clipper compatibility) clears all other switches (minimal
          set of features)

    *source/compiler/harbour.l
        * added support for -ki command line switch

    *source/compiler/harbour.sly
    *source/compiler/harbour.y
        * fixed line numer issues in generated pcode

2001-08-04 18:40 GMT -3  Luiz Rafael Culik<culik@sl.conex.net>
   *utils/hbmake/hbmake.prg
     * Small fix to the library edit mode of hbmake

2001-08-04 13:50 UTC-0800 Ron Pinkas <ron@profit-master.com>
   * source/compiler/harbour.l
   * source/compiler/harbour.slx
     * Added inline c support for hb_comp_iLanguage == LANG_OBJ_MODULE

   * source/compiler/harbour.sly
     * Added support for HB_COMP_ISSUPPORTED( HB_COMPFLAG_XBASE ) in Statement : ( MacroVar and MacroExpr ) to sync with harbour.y

2001-08-04 11:00 UTC-0800 Ron Pinkas <ron@profit-master.com>
    * source/vm/macro.c
      ! Added missing ; in line 956

2001-08-04 15:15 UTC+0100 Ryszard Glab <rglab@imid.med.pl>

    * doc/en/compiler.txt
    * include/hbapi.h
    * include/hbcomp.h
    * include/hbexpra.c
    * include/hbexprb.c
    * include/hbmacro.h
    * source/compiler/cmdcheck.c
    * source/compiler/expropta.c
    * source/compiler/exproptb.c
    * source/compiler/harbour.c
    * source/compiler/harbour.y
    * source/compiler/hbfunchk.c
    * source/compiler/hbusage.c
        * added command line switch which controls a compilation
          compatibility level -k<modes>
          Currently supported modes (can be joined):
          -kc  ==> 100% Clipper compatible (with some obvious bugs fixed)
          -kh  ==> harbour extensions enabled (default)
          -kx  ==> other xbase dialects extensions
        * new macro HB_COMP_ISSUPPORTED(<mode>) to check if a feature
          is enabled. Currently supported modes (defined in hbcomp.h):
          HB_COMPFLAG_HARBOUR  ==> -kh
          HB_COMPFLAG_XBASE    ==> -kx
        * extended macro support for expression lists is disabled by
          default (latest Ron's additions) - use -kx switch to enable

    * include/set.ch
    * source/vm/macro.c
    * source/macro/macro.y
    * source/macro/macroa.c
    * source/macro/macrob.c
        * added HB_SETMACRO() function to control various compatibility
          issues at the runtime.
          HB_SETMACRO( <nFeature>, <lOnOff> )
          This controls the macro compiler's features. The feature can
          be either enabled (.T.) or disabled (.F.)
          Currently available features (defined in set.ch file)
          HB_SM_HARBOUR => (enabled by default)
              enable/disable harbour extensions
          HB_SM_XBASE => (disaled by default)
              enable/disable xbase dialects extensions
          HB_SM_SHORTCUTS => (enabled by default)
              enable/disable shortcut evaluation of logical expressions
          HB_SM_PREPROC =>
              enable/disable preprocessing (if harbour is build with
              HB_MACRO_STATEMENTS option)

    * source/rdd/dblist.prg
        * the array of expressions is scanned for extended macro lists
          when xbase compatibility is enabled (see HB_SETMACRO())

    * source/vm/asort.c
        * moved HB_ASORT_OPT_ITEMCOPY setting to hbsetup.h

    * include/hbsetup.h
        * updated/added descriptions of all #ifdef settings used
          in the harbour code
          (Please keep updated this file (and hbsetup.ch) if a new
          setting is used)

    + doc/en/macro.txt
        * initial documentation for macro compiler
        * documentation of HB_SETMACRO() function

2001-08-04 00:06 GMT Dave Pearson <davep@davep.org>
   * doc/whatsnew.txt
     * Brought the document up to date.

2001-08-03 19:30 GMT -3 Luiz Rafael Culik<culik@sl.conex.net>
   *Changelog
      *renamed to Changelog.011 and started an new one
   *utils/hbmake/radios.prg
    utils/hbmake/radios.ch
      Small changes on this function due an change on the hbmake edit mode
   *utils/hbmake/hbmake.prg
      +gl option to tell that the compiler is gcc under linux
      *fixes to the edit mode to be more compatible with linux
      *Now Setbuild() return the command line to gcc(Linux and Os/2) insted of an response file


